# Design-ajattelutyypit
# (C) 1998-2002
# Pirita Seitamaa-Hakkarainen
# Asta Raami
# Kai Hakkarainen
# Teemu Leinonen
# Samu Mielonen
#
name='Designajattelutyypit'
description= \
"""Designprosessi nähdään syklisenä ja iteratiivisena prosessina, jossa
suunnittelija muokaa ja varioi visuaalisia ja teknisiä suunnitteluideoita.
Suunnittelutehtävät ovat avoimia ja monimutkaisia ja suunnittelun aikana on
sovitettava monia ristiriitaisia tekijöitä. Suunnittelu kontekstin ja
suunnittelutehtävän määritteleminen, jäsentäminen ja tarkentaminen ovat
keskeisiä vaiheita suunnittelussa. Designajatustyyppien käyttö perustuu
yhteisöllisen suunnitteluprosessin malliin ja niiden tavoittena on jäsentää
suunnitteluajattelua. (Pirita Seitamaa-Hakkarainen)"""

types=({'id': 'konteksti',
        'name': 'Designkonteksti',
        'starting_phrase':"""Tässä prosessissa meidän tulisi suunnitella...""",
        'description':\
"""Suunnitteluympäristö muodostaa osan suunnittelukontekstista. Designkonteksti on usein avoimesti määritelty tehtävänannossa tai neuvotteluissa asiakkaan kanssa. Tehtävänanto ei kuitenkaan kokonaan määrittele tuotteen vaatimuksia, suunnitteluhaasteita tai toiveita, vaan sisältää tietoa niistä ulkoisista ehdoista, jotka väljästi vastaavat kysymyksiin: kenelle, mitä, mihin ja millaisin resurssein. Suunnittelijan on prosessin aikana strukturoitava ja analysoitava tätä tehtäväympäristöön liittyvää informaatiota, määriteltävä ja tarkennettava toimeksiantajan uusia tarkentamattomia ja joskus epämääräisiäkin toiveita ja rajoitteita.

Uusi suunnitteluideaan tai suunnittelurajoitteisiin liittyvä tieto voi myös muuttaa designkontekstia ja suunnittelija kehittää prosessin aikana uusia tuotteeseen liittyviä haasteita. Suunnittelukontekstin analyysi on yksi tärkeimmistä suunnitteluprosessin vaiheista.

ESIMERKKI
Seuraavat ajatukset edustavat designkontekstia:

-        Tietääkö kukaan minkä kokoisia keskoslapset yleensä ovat?

-        Kääntyvätkö keskoslapset nukkuessaan? Makaavatko he selällään vai mahallaan?
- Tietääkö kukaan teistä mitään tyypillisistä tieteellisistä konferensseista tai konferenssikasseista?""",
        'checklist':
"""Määritteleekö viesti designprosessin <b>vaatimuksia, suunnitteluhaasteita tai toiveita</b>?

<b>Selventääkö</b> viesti <b>suunnittelutehtävää</b>?

Kuvaileeko viesti <b>suunnittelurajotteita</b>?""",
        'colour': "tt_orangelt",
        'icon': "ui/images/types/dtt/orange.gif",
        },
        {'id': 'haaste',
        'name': 'Designhaaste',
        'starting_phrase': """Tämän designin haaste on...""",
        'description':\
"""Designhaaste on oma määrittelysi ongelmaan eli suunnittelun tavoite ja päämäärä. Suunnitteluprosessin aikana designhaaste voidaan laajuutensa ja kompleksisuutensa vuoksi jakaa pienempiin suunnitteluongelmiin tai tarkemmin määriteltyihin tehtäviin. Designtehtävä on ikään kuin pienempi osa-alue designhaasteesta, joka voidaan ratkaista ensin ja joka on jo lähempänä vastausta designhaasteeseen. Designhaaste ja siihen liittyvät tehtävät ovat sidoksissa suunnittelun pääperiaatteisiin ja suunnittelukontekstiin.

Designtehtävän tarkoituksena on auttaa suunnittelijaa löytämään ratkaisuja pääongelmaan osaongelmien ratkaisun kautta. Suunnittelija esittää yhä tarkentuvia kysymyksiä tai jakaa tehtävää osa-ongelmiksi joihin suunnitteluideat pyrkivät vastaamaan. Työskentelyideoiden vertaaminen tai uuden tiedon tuominen keskusteluun avaavat uusia tarkentuvia osatehtäviä.

ESIMERKKI
- Toimeksiannossa sanottiin että laukun tulisi heijastella konferenssin teemaa. Kuinka se saavutetaan.

- Ensinnäkin meidän tulisi kehittää hyvin funktionaalinen vaate keskoselle, unohtamatta kuitenkaan esteettisiä näkökohtia ja sen lisäksi meidän tulisi huomioida vanhempien ja hoitajien toiveet.
""",
        'checklist':
"""Esitteleekö viesti <b>tarkemmin määritellyn tehtävän</b>?

Määritteleekö viesti <b>suunnittelutehtävän</b>?""",
         'colour': "tt_aqua",
        'icon': "ui/images/types/dtt/aqua.gif",
        },
        {'id': 'idea',
        'name': 'Oma designidea',
        'starting_phrase': """Ratkaisuni tähän on...""",
        'description':\
"""Oma designidea edustaa sinun omia suunnitteluideoitasi. Se voi olla alkumielikuva suunniteltavasta tuotteesta tai kuvata suunnittelukohteen periaatteellisia toimintoja tai alustavia ratkaisuja. Designideat voivat olla visuaalisia luonnoksia tai verbaalisia (käsitteellisiä) kuvauksia tulevasta tuotteesta. Eri tyyppiset luonnokset voidaan nimetä ajatusluonnokseksi, kehitettäväksi luonnokseksi tai loppuluonnokseksi.

Suunnittelussa ideat voivat myös kohdistua tekniseen totuttamiseen liittyviin ratkaisumahdollisuuksiin ja malleihin, jotka kuvaavat esimerkiksi materiaaleja tai rakennetta. Omat designideat ovat ensimmäisenä mieleen tulevia ajatuksia tuotteesta ja sen toiminnoista, ja ne kehittyvät ja muuttuvat tarkemmiksi ratkaisuehdotuksiksi suunnitteluprosessin aikana. On tärkeä ymmärtää että epämääräistenkin ajatusten ja luonnosten näkyväksi tekeminen itselle ja asettaminen avoimen arvioinnin ja jatkoideoinnin kohteeksi on keskeistä yhteisöllisessä suunnitteluprosessissa. Näin suunnitteluideat kehittyvät tarkemmiksi.

ESIMERKKI
Seuraavassa esimerkkejä suunnitteluideoista: - Olen luonnostellut vartalomallista asua 40 cm keskoselle.

- Tässä on idea laukun muodosta. Ajattelimme että laukun tulisi olla pyöreähkö, kuten monet eri asiat on nykyisin muotoiltu (nykyaikaiset autot jne.)
""",
        'checklist':
"""Kuvaileeko viesti <b>ratkaisusi</b> designsuunnittelutehtävään tai -ongelmaan?

Esitteletkö <b>oman ideasi</b> viestissä?""",
         'colour': "tt_yellowlt",
        'icon': "ui/images/types/dtt/yellow.gif",
        },
        {'id': 'info',
        'name': 'Uutta tietoa',
        'starting_phrase': """Olen löytänyt uutta tietoa...""",
        'description':\
"""
Designidea on harvoin suunnitteluprosessin alussa tarkasti määritelty tai ratkaistu. On varmasti avoimia suunnittelukohteeseen liittyviä kysymyksiä. Suunnitteluprosessin aikana suunnittelija etsii ja jakaa uutta suunnittelukohteeseen liittyvää informaatiota ja tietoa. Tuottamalla ja etsimällä suunnittelukohteeseen ja rajoitteisiin liittyvää uutta tietoa designratkaisut kehittyvät ha tulevat tarkemmin määritellyiksi. Tuleva tuotteen käyttäjä, tuotteen käyttökokemukset tai muut ulkoiset lähteet voivat avata uusia näkökulmia suunnittelukohteeseen. Tämä uuden informaation hankkiminen ja jakaminen muiden yhteisössä toimivien kanssa tukee yhteisöllistä suunnittelua.

ESIMERKKI
Esimerkkejä uudesta informaatiosta suunnitteluprosessissa:

- Löysin muutamia kivoja kuvia osoitteesta http://….. Menkää katsomaan.

- Haastattelin yhtä konferenssikävijää, joka antoi minulle ideoita ja toiveita. Hän ajatteli että salkunmuotoinen kassi, jossa on olkahihnan lisäksi kantohihna olivat parhaita tuotteita joita hän oli käyttänyt.

- Kysyin ystävältäni minkälainen laukun tulisi olla. Hän vastasi että sellainen johon mahtuu iso kansio.
""",
        'checklist':
"""Onko viestissä designtehtävään liittyvää <b>uutta tietoa</b>?

Muista mainita miten olet saanut tietoa:

- <b>käyttäjiä haastattelemalla</b>
- <b>analysoimalla suunnittelukohdetta</b>
- muiden <b>aikaisempia designratkaisuja tutkimalla</b>.""",
         'colour': "tt_bluelt",
        'icon': "ui/images/types/dtt/blue.gif",
        },
        {'id': 'arvio',
        'name': 'Idean arviointi',
        'starting_phrase': """Pidän tässä ideassa... koska...
En pidä tässä ideassa... koska...""",
        'description':\
"""Designideoiden ja suunnitteluprosessin arviointi ja kommentointi on keskeistä yhteisöllisessä suunnittelussa. Sinun tulee antaa avointa ja rakentavaa palautetta toisten suunnitteluideoista. On hyödyllistä huomata, että joskus syntyneet ratkaisut tai ideat myös uudelleenmäärittelevät ongelmaa ja päinvastoin. Siksi on arvokasta aina välillä myös arvioida ja reflektoida jo aiemmin tekemääsi kontekstianalyysia tai arvioida uudelleen aikaisempia suunnitteluideoita.

ESIMERKKI
Idean arviointiin liittyviä esimerkki:

- Minusta muoto on aika hyvä, mutta onko tapa jolla sitä kannetaan liian feminiininen. Ainakin minun mielestä se on. Isot taskut ja muutama pieni tasku molemmilla puolilla on hyvä ajatus.""",
        'checklist':
"""<b>Annatko palautetta</b> toisten ideoista?

Voit myös <b>arvioida omia ideoitasi</b>.""",
         'colour': "tt_purple",
        'icon': "ui/images/types/dtt/purple.gif",
        },
        {'id': 'org',
        'name': 'Työn organisointi',
        'starting_phrase': """Mielestäni meidän tulisi edetä...""",
        'description':\
"""Yhteisöllisessä suunnitteluprosessissa on tärkeää tehdä yhteisiä suunnitelmia ja tehdä työnjakoa yhdessä toisten suunnittelijoiden kanssa. Työn organisoinnissa esitetaan arvioita kuinka työ etenee ja kuinka työssä tulisi edetä.

ESIMERKKI
Esimerkkejä prosessin organisoinnista:

- Meidän tulisi enempi keskustella FLE:ssä. Mutta kun on niin monta muutakin kurssia meneillään. Mutta ensi viikolla pitäisi jo viimeistään laittaa tänne FLE:hen ensimmäisiä ajatusluonnoksia keskosvaatteista.

- Miten edetään, tehdäänkö yhteistä suunnitelmaa heti alusta asti vai pitäisikö jokaisen tehdä kuten itse haluaa ja sitten vain katsotaan mitä tapahtuu kun tavataan?
""",
        'checklist':
"""Ehdotetaanko viestissä jotain tapaa <b>organisoida designprosessia</b>?

Käsittelläänkö viestissä <b>aikataulua, tapaamisia, rooleja, tehtäviä tms.</b>?""",
         'colour': "tt_greenlt",
        'icon': "ui/images/types/dtt/green.gif",
        },
        {'id': 'yhteen',
        'name': 'Yhteenveto',
        'starting_phrase': """Loppupäätelmä, johon pääsimme tässä designissa on...""",
        'description':\
"""Yhteenvedossa designkeskustelussa syntyneet ideat ja osa-ratkaisut liitetään yhteen ja tuodaan yhteisen päätöksenteon kohteeksi. Yhteenvedon tarkoituksena on kiteyttää käyty keskustelu ja luoda pohja (nousta yli) uudelle suunnitteluprosessin kierrokselle, designkontekstille tai uusille suunnitteluratkaisuille, jotka pohjautuvat aiempaan keskusteluun. Yhteenveto ikäänkuin kokoaa osaongelmat ja niiden ratkaisut yhtenäiseksi ratkaisuksi ja siten alkuperäinen designhaaste on ainakin osittain ratkaistu.

ESIMERKKI
Ohessa esimerkki yhteenvedon alusta:

- Olemme käyneet paljon keskustelua mahdollisesta värityksestä. Useimmat meistä pitivät vihreää väritystä parhaimpana ratkaisuna keskosvaatetukselle. Myös vanhemmat ja hoitajat olivat mieltyneet vihreisiin malliesimerkkeihin. Toisin sanoen vihreä tulee olemaan perusväritys, koska se on esteettisesti miellyttävin ratkaisu.
""",
        'checklist':
"""Sisältääkö viesti <b>yhteenvedon tai designpäätöksen</b>?

Voit myös liittää viestiin <b>luonnoksen joka yhdistää</b> keskustelussa esitettyjä designideoita.""",
         'colour': "tt_white",
        'icon': "ui/images/types/dtt/white.gif",
        },
)
thread_start=('konteksti',)
# With what you can respond.
# For a better example, please consult cvs repo!

relations={}
tt_ids = [x['id'] for x in types]
for type in types:
        relations[type['id']] = tt_ids

# EOF
