# Fle3 vocabulary file, generated by TranslationLint
# $Id: vocabulary_lt.py,v 1.71 2003/02/10 10:32:23 jmp Exp $

#
# Copyright 2001, 2002 by Fle3 Team and contributors
#
# This file is part of Fle3.
#
# Fle3 is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Fle3 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Fle3; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

"""Contains the Lithuanian translations for all FLE printable strings.

How to do a new translation:

1. Copy this file into a new file, appending the language code after it, so
you get something like "vocabulary_es.py" for Spanish and so on.

2. Edit the new file, translating the second portion of each line. The
first portion is the keyword, which you shouldn't touch. The second is the
translation that should be translated to the target language. The third
is the supplementary instruction, that should help you do the translations.

"""

# If you need to use special characters (outsize of the 127 character
# ASCII range), you have several choices:
#
# A. Write in unicode. Each unicode string starts with u followed by the
#    quotes. Each unicode character starts with \u followed by the code in
#    hexadecimal notation.
#    'key', (u'\\u30aa','This is the katakana letter O, encoded in unicode.'),
#
# B. Write in utf-8 encoded unicode. Here you will have normal strings,
#    and use \x to denote special characters. Make sure you remove the
#    keyword "charset_encoding" from the "common" module, or change its
#    value to "utf-8" so that the strings are interpreted correctly.
#    'key', ('\xe3\x82\xaa','This is the katakana letter O,encoded in utf-8.'),
#
# C. Write in any other encoding type (whatever suits you best). This requires
#    that you change the "charset_encoding" keyword in the "common" module to
#    the encoding type you will use. This document is written in iso-8859-1,
#    although as english does not contain special characters, it could be
#    in utf-8 as well without any differences.
#

common = {'language_name':
 ('Lietuvių', 'Name of this language'),
 'charset_encoding':
 ('utf-8', 'Encoding used in this translation (if missing, utf-8 is assumed'),
 'WebTop':
 ('Tinklastalis', 'Main tab for webtop'),
 'Knowledge_Building':
 ('Žinių kūrimas', 'Main tab for knowledge building'),
 'Course_Management':
 ('Kursų sąrašas', 'Main tab for course management'),
 'User_Management':
 ('Narių sąrašas', 'Main tab for user management'),
 'Jamming':
 ('Improvizacija', 'Main tab for jamming'),
 'Type_Management':
 ('Mąstymo tipų sąrašas', 'Heading'),
 'cancel':
 ('Anuliuoti', 'Button label'),
 'submit':
 ('Išsaugoti', 'Button label'),
 'remove':
 ('Pašalinti', 'Button label'),
 'next':
 ('Pirmyn ->', 'Label for button'),
 'previous':
 ('<- Atgal', 'Label for button'),
 'quick_submit':
 ('Išsaugoti dabar', ''),
 'ok':
 ('Ok', 'Button label'),
 'save':
 ('Išsaugoti', 'Button label'),
 'create':
 ('Sukurti', 'Button label'),
 'search':
 ('Ieškoti', 'Button label'),
 'webtop':
 ('Tinklastalis', ''),
 'description':
 ('Aprašymas', 'Label'),
 'short_date_format_display':
 ('YYYY/MM/DD', 'String displayed as clue when entering a date'),
 'short_date_format':
 ('%Y,%m,%d', 'Format string for short dates'),
 'timestamp_format':
 ('%H:%M %Y,%m,%d', 'Format string for long timestamps'),
 'invite':
 ('Pakviesti', ''),
 'add':
 ('Pridėti', ''),
 'today':
 ('Šiandien', ''),
 'yesterday':
 ('Vakar', ''),
 'groupfolder':
 ('kurso aplankas', 'Heading'),
 'dtml_reloaded':
 ('DTML atnaujinti', 'Title for message dialog'),
 'dtml_files_reloaded':
 ('DTML failai atnaujinti šiame objekte', 'Message dialog text'),
 'dtmls_reloaded':
 ('DTMLai atnaujinti', 'Title for message dialog'),
 'dtmls_files_reloaded':
 ('Visi DTML failai atnaujinti', 'Message dialog text'),
 'css_reloaded':
 ('Stilių failai atnaujinti', 'Title for message dialog'),
 'css_files_reloaded':
 ('Stilių failai atnaujinti šiame objekte', 'Message text'),
 'error':
 ('Klaida', ''),
 'warning':
 ('Perspėjimas', ''),
 'invalid_url':
 ('Klaidingas url', 'Message title'),
 'invalid_url_message':
 ('Klaidingai įvestas URL adresas.<br>Adresas turi prasidėti http://, ftp://, mailto: arba kitą Interneto adresų protokolą, kurį norite naudoti. Adresai kaip pvz.: "www.manoadresas.lt" laikomi negaliojančiais. Turite nurodyti Interneto protokolą: "http://www.manoadresas.lt". Jeigu nesate tikri dėl protokolo tipo, pabandykite nukopijuoti visą Interneto adresą iš Interneto naršyklės.',
  'Message text'),
 'invalid_name':
 ('Klaidingas pavadinimas', 'Message title'),
 'give_valid_name':
 ('Prašom įvesti galiojantį pavadinima', 'Message text'),
 'name_taken':
 ('"%s" pavadinimas jau naudojamas. Prašom įvesti kitą pavadinimą',
  'Message text, name inserted inside'),
 'edit':
 ('Redaguoti', 'Button label'),
 'you_are_in':
 ('Jūsų padėtis:',
  'Heading, without trailing colon - keep in translation if needed'),
 'required_field_missing':
 ('Jūs nesuteikėte visos rekalaujamos informacijos',
  'Erro message text'),
 'confirmation':
 ('Patvirtinimas', 'Title for confirmation dialogs'),
 'invalid_input':
 ('Klaidingai įvesta informacija', 'Message title'),
 'invalid_fields':
 ('Šiuose laukeliuose klaidingai įvesta informacija',
  'Message text followed by a list of field names'),
 'select_item_first_common':
 ('Iš pradžių pasirinkite objektą',
  'Message text'),
 'link_to_webtop':
 ('Sujungti su Tinklastaliu', 'Link'),
 'proxy_to_webtop':
 ('Sukurti nuorodą į bendrą kurso aplanką Tinklastalyje',
  'Link'),
 'export':
 ('Eksportuoti', 'Button label'),
 'import':
 ('Importuoti', 'Button label'),
 'importing':
 ('Importuojate', 'Heading start'),
 'megabyte':
 ('MB', 'Abbreviation for megabyte'),
 'kilobyte':
 ('KB', 'Abbreviation for kilobyte'),
 'logout_pre2':
 ('Jei norite išeiti iš programos, uždarykite savo Interneto naršyklę arba paspauskite "Išeiti" mygtuką apačioje. Kai jūsų naršyklė paklaus vartotojo vardo ir slaptažodžio, paspauskite <b>Anuliuoti</b>. (Kai kuriose naršyklėse jūs turėsite pirma įvesti negaliojantį slaptažodį ir <b>Anuliuoti</b> dar kartą.) Tai ištrins jūsų naršyklės atmintį.',
  'Instructions on logging out'),
 'logout':
 ('Išeiti', 'Link for logging out'),
 'logout_post':
 ('Jūs išėjote iš Fle3.', 'Logout notification'),
 'login':
 ('Įvesti nario vardą', 'Link to log in'),
 'any':
 ('Bet koks', 'Label'),
 'course':
 ('Kursas', 'Part of location path')}

kb = {'course_info':
 ('Informacija apie kursą', 'Label for link to course details'),
 'create_context':
 ('Sukurti naują studijų sritį kurse',
  'Link to create new course context'),
 'hide_context':
 ('Paslėpti šią kurso sritį',
  'Link to hide a context from view'),
 'show_context':
 ('Rodyti šią kurso sritį',
  'Link to show a hidden context'),
 'new_notes':
 ('naujos žinutės',
  'Label for showing the number of new notes, eg. "5 new notes"'),
 'notes_total':
 ('žinutės', 'Label for showing the number of notes'),
 'full_description':
 ('daugiau...', ''),
 'course':
 ('kursas', "String 'course' in context display"),
 'context':
 (' studijų sritis kurse', "String 'context' in context display"),
 'thread':
 ('gija', "String 'thread' in context display"),
 'note':
 ('žinutė', "String 'note' in context display"),
 'start_thread':
 ('Pradėti žinių giją', 'Link'),
 'short_description':
 ('Trumpas aprašymas', 'Label'),
 'long_description':
 ('Ilgas aprašymas', 'Label'),
 'full_description':
 ('Daugiau...', 'Label'),
 'select':
 ('Pasirinkti',
  'Start of sentence, followed by a drop-down list of available knowledge types'),
 'knowledge_type':
 ('mąstymo tipą', 'Label'),
 'add_note':
 ('Pridėti žinutę', 'Button label'),
 'show_notes':
 ('Rodyti žinutes', 'Heading start'),
 'show_thread':
 ('kaip giją', 'heading finish'),
 'show_type':
 ('pagal žinučių tipą', 'heading finish'),
 'show_author':
 ('pagal autorių', 'heading finish'),
 'show_date':
 ('pagal datą', 'heading finish'),
 'select_course':
 ('Pasirinkti kursą',
  'Label, followed by a drop-down list of available courses'),
 'creating_context':
 ('Kuriate naują studijų sritį kurse',
  'Title, followed by the course name'),
 'editing_context':
 ('Redaguojate studijų sritį kurse',
  'Title, followed by the course name'),
 'title_of_context':
 ('Kurso studijų srities pavadinimas', 'Label'),
 'type_set':
 ('Mąstymo tipai', 'Label'),
 'creating_note_in':
 ('Kuriate naują žinutę',
  'Title, followed by course context name'),
 'course_context':
 ('kurso studijų sritis', 'Label for course context'),
 'you_are_replying_to':
 ('Atsakote į', 'Label'),
 'title_of_note':
 ('Žinutės pavadinimas', 'Label'),
 'message_body':
 ('Žinutės turinys', 'Label'),
 'current_image':
 ('Dabartinis paveikslas', 'Label'),
 'replace_with':
 ('Pakeisti į', 'Label for image replacement in note edit'),
 'add_image':
 ('Pridėti paveikslą', 'Label'),
 'title_of_image':
 ('Paveikslo pavadinimas', 'Label'),
 'add_link':
 ('Pridėti jungtį į Internetą', 'Label'),
 'title_of_link':
 ('Interneto jungties pavadinimas', 'Label'),
 'preview':
 ('Peržvelgti ir paskelbti', 'Button label'),
 'previewing_note':
 ('Peržvelgiate žinutę',
  'Title/heading, followed by course context name'),
 'publish':
 ('Paskelbti', 'Button label'),
 'search_kb':
 ('Paieška Žinių kūrimo modulyje', 'Link label'),
 'searching_kb':
 ('Ieškote žinučių Žinių kūrimo modulyje',
  'Label'),
 'search_author':
 ('Autorius', 'Label'),
 'search_notes_words':
 ('Žinutės, kuriose yra žodžiai', 'Label'),
 'search_context':
 ('Kurso studijų sritis', 'Label'),
 'search_tt':
 ('Mąstymo tipai', 'Label'),
 'search_note':
 ('Žinutė', 'Label'),
 'you_didnt_select_type':
 ('Nepasirinkote mąstymo tipo.', 'Title'),
 'current_note':
 ('Dabartinė žinutė', 'Label'),
 'go_back':
 ('Atgal', 'Start of message, rendered into a link'),
 'and_select_type':
 ('ir pasirinkite mąstymo tipą jūsų žinutei',
  'Rest of message'),
 'inline_notes':
 ('Rodyti visų žinučių turinį', 'Link'),
 'outline_notes':
 ('Paslėpti visų žinučių turinį',
  'Link'),
 'view_info':
 ('peržvelgiate informaciją', 'Part of location bar'),
 'edit_context':
 ('Redaguoti kurso studijų sritį', 'Link'),
 'to_note':
 ('į žinutę', 'Part of a message'),
 'notes_from_day':
 ('Žinutės paskelbtos', 'Start of heading, followed by a date'),
 'full_thread_no':
 ('Rodyti tik pradines žinutes', 'Link'),
 'full_thread_yes':
 ('Rodyti visas Žinių kūrimo gijas', 'Link'),
 'remove':
 ('Pašalinti', 'Button label for censoring notes'),
 'restore':
 ('GrąŽinti', 'Button label for uncensoring notes'),
 'remove_form_title':
 ('Pašalinate žinutę', 'Title for note censoring form'),
 'remove_form_label':
 ('Pašalinate žinutę',
  'Explanation in censor form, followed by note subject'),
 'removed_msg':
 ('Žinutė pašalinta',
  'Message shown when teacher censores a note.'),
 'remove_verify2':
 ('Ar tikrai norite pašalinti šią žinutę. Jūsų vardas, data ir pasiaiškinimas bus išsaugotas ir matomas kartu su žinute apie pašalinimą.',
  'Verification message shown when removing is attempted'),
 'remove_explanation':
 ('Pašalinimo paaiškinimas',
  'Label for censor explanation text area'),
 'removed_subject':
 ('Pašalinta', 'Title/subject for censored notes'),
 'removed_body':
 ('%s pašalino šią žinutę. %s.',
  "Body for censored messages. First placeholder is replaced by censorer's name and the second by the date"),
 'previous':
 ('Atgal', 'Link label'),
 'next':
 ('Pirmyn', 'Link label'),
 'who_has_read':
 ('Kas skaitė šią žinutę?', 'Link label'),
 'last_read':
 ('Paskutinį kartą skaityta', 'Label'),
 'times_read':
 ('kartą skaityta', 'Label'),
 'back':
 ('&lt; atgal', 'Link label'),
 'unread_to_read_msg':
 ('Visos žinutės šioje Žinių kūrimo gijoje pažymėtos kaip perskaitytos.',
  'title and message in a message dialog'),
 'mark_notes_read':
 ('Pažymėti visas žinutes kaip perskaitytas',
  'text in a button'),
 'creating_groupfolder':
 ('Kuriate naują bendrą kurso aplanką', 'Heading start'),
 'title_groupfolder':
 ('Bendro kurso aplanko pavadinimas', 'Label'),
 'flea_asks':
 ('Fle blusa klausia',
  'Heading displayed in the scaffolding check list. Flea is the name of the FLE-helper.'),
 'change_type':
 ('Pakeisti mąstymo tipą?',
  'Question at the end of the scaffolding check list.'),
 'no_change_possible':
 ('Žinių giją galima pradėti tik šiuo mąstymo tipu.',
  'Text displayed when there is only one possible follow-up type and the type cannot be changed.'),
 'change':
 ('Pakeisti', 'Button label'),
 'down_to_note':
 ('Žemyn', 'Link label'),
 'use_roleplay':
 ('Naudoti žaidimą rolėmis',
  'Label for option deciding if the course context creator wants to use roleplaying roles for postings in this context.'),
 'setup_roleplay':
 ('Nurodote roles žaidimui rolėmis',
  'Title for form, where roleplaying roles are set')}

webtop = {'users_courses':
 ('Kursai', "Postfix for user's course list heading"),
 'new_notes':
 ('naujos žinutės',
  'Label for displaying the number of new notes in a course'),
 'total_notes':
 ('iš viso',
  'Label for displaying the total number of notes in a course'),
 'add_folder':
 ('Pridėti aplanką', ''),
 'add_document':
 ('Pridėti dokumentą', ''),
 'add_link':
 ('Pridėti jungtį į Internetą', ''),
 'create_memo':
 ('Sukurti užrašus', ''),
 'type':
 ('Tipas', 'Common heading for sort links by_name and by_date'),
 'title':
 ('Pavadinimas', 'Link for sorting by name'),
 'date':
 ('Data', 'Link for sorting by date'),
 'size':
 ('Dydis', 'Link for sorting by size'),
 'remove':
 ('Pašalinti', 'Button label'),
 'restore':
 ('Atkurti', 'Button label'),
 'rename':
 ('Pervadinti', 'Button label'),
 'copy':
 ('Kopijuoti', 'Button label'),
 'cut':
 ('Iškirpti', 'Button label'),
 'paste':
 ('Įklijuoti', 'Button label'),
 'delete':
 ('Panaikinti', 'Button label'),
 'select_all':
 ('Pasirinkti visus', 'Button label'),
 'trash':
 ('Šiukšlės', 'Label for trashcan'),
 'empty_trash':
 ('IŠmesti visas Šiukšles', 'Button label'),
 'adding_folder':
 ('Pridedate aplanką', 'Heading'),
 'title_of_folder':
 ('Aplanko pavadinimas', 'Label'),
 'creating_memo':
 ('Kuriate užrašus', 'Title'),
 'viewing_memo':
 ('Peržvelgiate užrašus', 'Title'),
 'editing_memo':
 ('Redaguojate užrašus', 'Title'),
 'title_of_memo':
 ('Užrašų pavadinimas', 'Label'),
 'content':
 ('Turinys', 'Label'),
 'show_memo_contents':
 ('Rodyti tik užrašų turinį', 'Link'),
 'adding_link':
 ('Pridedate jungtį į Internetą', 'Title'),
 'title_of_link':
 ('Jungties į Internetą pavadinimas', 'Label'),
 'url':
 ('URL', ''),
 'document_uploaded':
 ('Dokumentas padėtas.', 'Status message'),
 'adding_document':
 ('Pridedate dokumentą', 'Title'),
 'upload_document':
 ('Nurodykite dokumentą', 'Label'),
 'title_of_document':
 ('Dokumento pavadinimas', 'Label'),
 'search_wt':
 ('Paieška Tinklastaliuose', 'Link label'),
 'searching_wt':
 ('Ieškote Tinklastaliuose', 'Label'),
 'search_results':
 ('Paieškos rezultatai', 'Label'),
 'new_search':
 ('Nauja paieška', 'Label'),
 'search_title':
 ('Pavadinimas', 'Label'),
 'search_owner':
 ('Savininkas', 'Label'),
 'search_words':
 ('Objektai, kuriuose yra žodžiai', 'Label'),
 'search_object':
 ('Objektas', 'Label'),
 'search_folder':
 ('Aplankas', 'Label'),
 'viewing_search_results':
 ('Peržvelgiate paieškos rezultatus',
  'Label in the location path'),
 'anyone':
 ('Bet kas', 'Label'),
 'webtop_link_added':
 ('Pridėta jungtis į Tinklastalį', 'Message title'),
 'added_webtop_link':
 ('Jūsų Tinklastalyje sukurta jungtis "%s". Kad grižtumėte į ankstyvesnį puslapį, spauskite OK.',
  'Message text; "to type" and "name" inserted into placeholders (2)'),
 'proxy_added':
 ('Bendras kurso aplankas pridėtas', 'Message title'),
 'added_proxy':
 ('Nuoroda į bendrą %s kurso aplanką pridėta jūsų Tinklastalyje. Spauskite OK, jei norite grįžti į ankstesnį puslapį.',
  'Message text, course name inserted into placeholder'),
 'no_item_selected':
 ('Nepasirinkote jokio objekto!', 'Message dialog title'),
 'select_item_first':
 ('Prašom pirma pasirinkti bent vieną objektą.',
  'Message dialog message'),
 'no_file_supplied':
 ('Nėra failo', 'Message text'),
 'renaming':
 ('Pervadinate', 'Title'),
 'invalid_names':
 ('Šie pavadinimai klaidingi:', 'Message dialog messsage'),
 'same_names':
 ('Duodate tokį patį pavadinimą keliems objektams.',
  'Message dialog message'),
 'names_in_use':
 ('Šie pavadinimai jau naudojami:', 'Message dialog message'),
 'information':
 ('Informacija', 'Link'),
 'preferences':
 ('Pasirinkimai', 'Link'),
 'editing_preferences':
 ('Pasirinkimai', 'Title'),
 'shared':
 ('Bendras', 'Printed after the name of the group folder'),
 'quota_reached_title':
 ('Perpildyta', 'Title'),
 'quota_reached':
 ('Jūs perpildėte Tinklastalį. PraŠom iŠtrinti keletą objektų ir bandyti dar karta.',
  'Message dialog message'),
 'obj_removed':
 ('Objektas buvo paŠalintas',
  'This is appended to internal webtop links that point to objects that no longer exist.'),
 'back':
 ('&lt; atgal', 'Link label')}

usermgmnt = {'user':
 ('narys', 'part of browser title'),
 'adding_users':
 ('Pridedate naujus narius', 'Title'),
 'required_field':
 ('Būtina užpildyti', ''),
 'nickname':
 ('Pravardė', ''),
 'user_account':
 ('Vartotojo vardas', 'Label'),
 'Confirm':
 ('Patvirtinti', ''),
 'you_are_removing':
 ('Jūs panaikinate', ''),
 'invite_user':
 ('Pakviesti narius', ''),
 'invite_users':
 ('Pakviesti narius', 'Heading for invitation form'),
 'email_addresses':
 ('Elektroninio pašto adresai', ''),
 'separate_with_comma':
 ('( atskirkite tarpu ir kableliu )', ''),
 'Invitation_message':
 ('Pakvietimo tekstas', ''),
 'Invitation_language':
 ('Pakvietimo kalba', ''),
 'Courses_to_invite_to':
 ('Kursai į kuriuos kviečiate', ''),
 'Freeze':
 ('Užšaldyti', ''),
 'Remove':
 ('Pašalinti', ''),
 'role':
 ('Rolė', 'label'),
 'role_staff':
 ('Darbuotojas', 'Global role stuff'),
 'role_user':
 ('Narys', 'Global role user'),
 'role_fleadmin':
 ('FLE administratorius', 'Global role fleadmin'),
 'invite_again':
 ('Vėl pakviesti', 'Button label'),
 'warning':
 ('Perspėjimas', 'Heading'),
 'want_remove_users':
 ('Ar tikrai norite pašalinti šiuos narius:',
  'Complete question'),
 'invited_user_manage':
 ('Pakviestų narių sąrašas', 'Title'),
 'info_user':
 ('Informacija apie ', 'Title for user info page, prefix before usre name'),
 'edit_user':
 ('Redaguoti nario informaciją', 'Link'),
 'editing':
 ('Redaguojate', 'Heading for user edit, inserted before user name'),
 'image_of_user':
 ('Nario paveikslas', 'Label'),
 'upload_image_of_user':
 ('Padėkite nario paveikslą į serverį', 'Label'),
 'or_link_to_image':
 ('arba nurodykite paveikslo URL', 'Label, continuing from the upload label'),
 'webtop_bg':
 ('Pasirinkite tinklastalio fono paveikslą', 'Label'),
 'upload_webtop_bg':
 ('arba padėkite savo fono paveikslą į serverį',
  'Label, continuing from the webtop_bg'),
 'show_pending_users':
 ('Rodyti neužsiregistravusius', ''),
 'add_user':
 ('Pridėti narius', ''),
 'Unfreeze':
 ('Atšildyti', ''),
 'Users':
 ('Nariai', ''),
 'gsm':
 ('GSM', ''),
 'last_name':
 ('Pavardė', ''),
 'first_name':
 ('Vardas', ''),
 'city':
 ('Miestas', ''),
 'organization':
 ('Organizacija', ''),
 'professional_interests':
 ('Profesionalūs interesai', ''),
 'email':
 ('Elektroninis paštas', ''),
 'phone':
 ('Telefonas', ''),
 'language':
 ('Kalba', ''),
 'url_to_photo':
 ('Paveikslo URL', ''),
 'country_menu_default':
 ('Pasirinkite šali', ''),
 'group_menu_default':
 ('Pasirinkite grupę', 'Default value for drop-down menu'),
 'address':
 ('Adresas', ''),
 'address1':
 ('Pirmoji adreso eilutė', ''),
 'address2':
 ('Antroji adreso eilutė', ''),
 'personal_interests':
 ('Asmeniniai pomėgiai', ''),
 'quote':
 ('Mėgstama citata', ''),
 'homepage':
 ('Asmeninis Interneto puslapis', ''),
 'upload':
 ('Padėti į serverį', ''),
 'group':
 ('Grupė', ''),
 'password':
 ('Slaptažodis', ''),
 'background':
 ('Patirtis ir įgūdžiai', ''),
 'country':
 ('Šalis', ''),
 'reserved_nickname':
 ('Gaila, bet ši pravardė jau naudojama.', 'Message'),
 'password_mismatch':
 ('Jūsų įvesti slaptažodžiai nesutampa.',
  'Message'),
 'could_not_send_invitation':
 ('Pakvietimas neišsiųstas. Prašom patikrinti ar jusu MailHost objektas teisingai sukonfiguruotas.',
  'Error message'),
 'invitations_sent':
 ('Pakvietimai išsiųsti', 'Message title'),
 'invitations_sent_to':
 ('Pakvietimai išsiųsti šiems nariams: %s. ',
  'Message, email list is inserted into the placeholder.'),
 'invitations_not_sent_to':
 ('Pakvietimai neišsiųsti šiems nariams: %s.',
  'Message, email list is inserted into the placeholder.'),
 'users_removed':
 ('Nariai pašalinti', 'Message title'),
 'removed_users':
 ('Šie nariai pašalinti:: %s', 'Message, list inserted inside'),
 'not_removed_users':
 ('Šių narių negalima pašalinti: %s',
  'Message, list inserted inside'),
 're_invitations_sent':
 ('Nauji pakvietimai išsiųsti', 'Message title'),
 're_invitations_sent_to':
 ('Nauji pakvietimai išsiųsti šiems nariams: %s ',
  'Message, email count is inserted into the placeholder.'),
 'pending_users_removed':
 ('Pakviesti ir neužsiregistravę nariai pašalinti',
  'Message title'),
 'pending_removed_users':
 ('Šie pakviesti ir neužsiregistravę nariai pašalinti: %s',
  'Message, list inserted inside'),
 'pending_not_removed_users':
 ('Šių pakviestų ir neužsiregistravusių narių negalima pašalinti: %s',
  'Message, list inserted inside'),
 'invitation_subject':
 ('Pakvietimas į FLE', 'Subject for invitation messages'),
 'invitation_header':
 ('Pakvietimas', 'Header for invitation messages'),
 'invitation_footer':
 ('Patikrinkite: ', 'Footer for invitation messages; followed by the URL'),
 'welcome_message':
 ('Sveiki gyvi, apsilankę FLE. Prašom užpildyti nario informaciją apačioje.',
  'Welcome message used in invitation registration form'),
 'uname':
 ('Nario vardas', 'Label used for user login name in several places'),
 'registration_failed':
 ('Registracija nepavyko', "Title used when invited user can't register."),
 'after_submit_give_name_and_passwd2':
 ('Paspaudę "Išsaugoti" mygtuką įveskite savo nario varda ir slaptažodį.',
  'Message'),
 'invitation_key_used':
 ('Šio pakvietimo URL jau panaudotas ir daugiau nebegalioja. Jei jums nepavyko užsiregistruoti, prašom kreiptis į savo mokytoją ir paprašyti naujo pakvietimo.',
  ''),
 'authorization_failed':
 ('Neteisingas autentikacijos raktas',
  "Message telling that the authentication key isn't valid."),
 'frozen':
 ('Užšaldytas', 'User status code'),
 'passwd_changed_explanation2':
 ('Pakeitėte savo slaptažodį. Jūsų Interneto naršyklė paklaus jūsų nario vardo ir slaptažodžio dar kartą.',
  'Message text'),
 'no_email':
 ('Neįvedėte elektroninio pašto adreso', 'Message title'),
 'no_email_explanation':
 ('Negalite išsiųsti elektroninio pašto, nes jūsų elektroninio pašto adresas nenustatytas.',
  'Message text'),
 'passwd_changed':
 ('Slaptažodis pakeistas', 'Message title')}

coursemgmnt = {'course':
 ('kursas', 'part of browser title'),
 'courses':
 ('Kursai', 'Title'),
 'create_course':
 ('Sukurti kursą', 'Link'),
 'edit_course':
 ('Redaguoti kursą', 'Button label'),
 'edit_participants':
 ('Redaguoti dalyvius', 'Button label'),
 'creating_course':
 ('Kuriate naują kursą', 'Title'),
 'editing_course':
 ('Redaguojate kursą', 'Title'),
 'course_title':
 ('Kurso pavadinimas', 'Label'),
 'organization':
 ('Organizacija', 'Label'),
 'methods':
 ('Metodai', 'Label'),
 'starting_date':
 ('Pradžia', 'Label'),
 'ending_date':
 ('Pabaiga', 'Label'),
 'create_groupfolder':
 ('Sukurti kurso aplanką', 'Label'),
 'adding_users_to_course':
 ('Į kursą pridedate naujus narius',
  'Title, name of course is displayed after this'),
 'if_participants_not_users':
 ('Jei jūsų kurso dalyviai dar nėra Fle3 nariai',
  'Message'),
 'new_participants_to_system':
 ('naujus dalyvius į Fle3 sistemą', 'Part of a phrase'),
 'by_email':
 ('elektroniniu paštu', 'Part of a phrase'),
 'manually':
 ('rankiniu budu', 'Part of a phrase'),
 'fle_users':
 ('FLE3 nariai', 'Heading'),
 'down':
 ('Žemyn', 'Button label'),
 'up':
 ('Į viršų', 'Button label'),
 'teachers':
 ('Mokytojai', 'Heading'),
 'tutors':
 ('Padėjėjai', 'Heading'),
 'students':
 ('Studentai', 'Heading'),
 'add_button':
 ('Pridėti ->', 'Button label'),
 'remove_button':
 ('<- Pašalinti', 'Button label'),
 'viewing_course':
 ('peržvelgiate kursą', 'Part of a phrase in location path'),
 'information':
 ('informacija', 'Part of a phrase in location path'),
 'no_course_selected':
 ('Nepasirinkote jokio kurso!', 'Message dialog title'),
 'select_course_first':
 ('Prašom pasirinkti kursą iš kursų sąrašo',
  'Message dialog message'),
 'set_published':
 ('Mąstymo tipai paskelbti', 'Message dialog title/text'),
 'users_updated':
 ('Narių sąrašas atnaujintas',
  'Message dialog title/message'),
 'select_some_users':
 ('Prašom pasirinkti narius', 'Message dialog title/message'),
 'edit_course_info':
 ('Redaguoti kurso informaciją', 'Link'),
 'edit_course_participants':
 ('Redaguoti kurso dalyvius', 'Link'),
 'date':
 ('Data', 'Label, followed by the starting and ending date of the course.'),
 'course_participants':
 ('Kurso dalyviai', 'Label'),
 'type_sets':
 ('Mąstymo tipai', 'Label, plural'),
 'delete':
 ('Panaikinti', 'Button label'),
 'add_typeset':
 ('Pridėti Mąstymo tipų sąrašą',
  'Link'),
 'tt_yellow':
 ('Geltona', 'Knowledge type colour name'),
 'tt_yellowlt':
 ('Šviesiai geltona', 'Knowledge type colour name'),
 'tt_orange':
 ('Oranžine', 'Knowledge type colour name'),
 'tt_orangelt':
 ('Šviesiai oranžine', 'Knowledge type colour name'),
 'tt_red':
 ('Raudona', 'Knowledge type colour name'),
 'tt_pink':
 ('Rožine', 'Knowledge type colour name'),
 'tt_purple':
 ('Violetinė', 'Knowledge type colour name'),
 'tt_blue':
 ('Mėlyna', 'Knowledge type colour name'),
 'tt_bluelt':
 ('Šviesiai mėlyna', 'Knowledge type colour name'),
 'tt_aqua':
 ('Vandens mėlyna', 'Knowledge type colour name'),
 'tt_green':
 ('Žalia', 'Knowledge type colour name'),
 'tt_greenlt':
 ('Šviesiai žalia', 'Knowledge type colour name'),
 'tt_gray':
 ('Pilka', 'Knowledge type colour name'),
 'tt_white':
 ('Balta', 'Knowledge type colour name'),
 'edit_typeset':
 ('Redaguojate mąstymo tipus', 'Heading'),
 'create_typeset':
 ('Kuriate naujus mąstymo tipus', 'Heading'),
 'title':
 ('Pavadinimas', 'Start of label'),
 'form':
 ('Forma', 'Start of heading'),
 'of_typeset':
 ('šio mąstymo tipų rinkinio', 'Ending of label'),
 'abbreviations_and_icons':
 ('sutrumpinimai ir piešinukai', 'Ending for heading'),
 'type':
 ('Mąstymo tipas', 'Label'),
 'types':
 ('Mąstymo tipų sąrašas', 'Title'),
 'types_management':
 ('Mąstymo tipai', 'Title'),
 'abbreviation':
 ('Strumpinimas', 'Label'),
 'color':
 ('Spalva', 'Label'),
 'icon':
 ('Piešinukas', 'Label'),
 'starting_phrase':
 ('Pradinė frazė', 'Label'),
 'checklist':
 ('Fle blusos klausimai', 'Label'),
 'no_types_entered':
 ('Neįvedėte jokių mąstymo tipų. Mąstymo tipų rinkinys turi turėti nors vieną mąstymo tipą.',
  'Error message for when a new set is created with no types'),
 'restrictions_of_use':
 ('Naudojimo apribojimas', 'Heading sentence.'),
 'that_can_start_thread':
 ('kuris gali pradėti diskusiją', 'End of label'),
 'viewing':
 ('peržvelgiate', 'Part of location bar'),
 'new_typeset_from':
 ('Dublikuoti ir redaguoti mąstymo tipus',
  'Link, followed by knowledge type set name'),
 'unfinished':
 ('Nebaigta', 'Label'),
 'manage_types':
 ('Tvarkyti mąstymo tipus', 'Link'),
 'finalize_typeset':
 ('Pakeisti į pabaigta', 'Button label'),
 'are_you_sure':
 ('Ar tikrai norite panaikinti šiuos kursus:',
  'Message dialog message'),
 'are_you_sure_ctx':
 ('Ar tikrai norite panaikinti šia kurso studijų sritį:',
  'Message dialog message'),
 'are_you_sure_tts':
 ('Ar tikrai norite panaikinti šiuos mąstymo tipus:',
  'Message dialog message'),
 'typeset_importing':
 ('Prašom pasirinkti išeksportuotą suzipuotą failą su mąstymo tipais, kuriuos norite importuoti.',
  'Instructions for typeset importing'),
 'typesets_imported':
 ('Nauji mąstymo tipai importuoti.', 'Message'),
 'import_typeset':
 ('Importuoti mąstymo tipus', 'link'),
 'course_importing':
 ('Prašom pasirinkti išeksportuotą suzipuotą failą su kursais, kuriuos norite importuoti',
  'Instructions for course importing'),
 'courses_imported':
 ('Nauji kursai buvo importuoti.', 'Message'),
 'import_course':
 ('Importuoti kursą', 'link'),
 'course_imported':
 ('(importuotas)', 'Appended to imported course names.')}

jam = {'add_jam_session':
 ('Pridėti improvizaciją', 'link'),
 'jam_sessions':
 ('Improvizacijos:',
  'a list of jam session will listed after/under this label'),
 'jam_session':
 ('improvizacija', ''),
 'annotations':
 ('pastabos', ''),
 'continue_with_version':
 ('Tęsti su jūsų versija', 'button label'),
 'artefact':
 ('artefaktas', ''),
 'viewing_annotations':
 ('Peržvelgiate pastabas', ''),
 'Annotations':
 ('Pastabos:', 'Label, followed by a list of annotations under it'),
 'adding_jam_session':
 ('Pridedate improvizaciją', ''),
 'add_annotation':
 ('Pridėti pastabą', 'link'),
 'edit_jam_session':
 ('Redaguoti improvizaciją', ''),
 'editing_jam_session':
 ('Redaguojate improvizaciją', ''),
 'title_of_jam_session':
 ('Improvizacijos pavadinimas:', 'label'),
 'type_of_jam_session':
 ('Improvizacijos tipas', 'label'),
 'mutate_on_previous':
 ('Grandinė', 'type of jam session'),
 'explore_possibilities':
 ('Medis', 'type of jam session'),
 'diverge_and_converge':
 ('Tinklas', 'type of jam session'),
 'description_of_jam_session':
 ('Improvizacijos aprašymas', 'label'),
 'upload_the_starting_artefact':
 ('Padėkite pradinį artefaktą į serverį',
  'label'),
 'adding_artefact':
 ('Pridedate artefaktą', ''),
 'title_of_the_starting_artefact':
 ('Pradinio artefakto pavadinimas', 'label'),
 'annotation_of_the_starting_artefact':
 ('Pradinio artefakto aprašymas', 'label'),
 'title_of_the_artefact':
 ('Artefakto pavadinimas', 'label'),
 'upload_file':
 ('Padėkite failą į serverį:', 'label'),
 'you_adding_annotation':
 ('Prie improvizacijos pridedate pastabą',
  'message in adding annotations form'),
 'adding_annotation':
 ('Pridedate pastabą', ''),
 'to_jam_session':
 ('prie improvizacijos', 'Part of a message'),
 'to_jam_artefact':
 ('prie artefakto', 'Part of a message'),
 'unread_artefacts':
 ('nauji artefaktai', 'There is a number before this message'),
 'total_artefacts':
 ('iš viso', 'There is a number before this message'),
 'are_you_sure_jam_sessions':
 ('Ar tikrai norite pašalinti šias improvizacijas:',
  'Message dialog message'),
 'are_you_sure_jam_session':
 ('Ar tikrai norite panaikinti šią improvizaciją ir jos artefaktus?',
  'Message dialog message. Placeholder is replace with number of jam artefacts'),
 'remove_artefact':
 ('Pašalinti artefaktą',
  'Button label for censoring jam artefact'),
 'restore_artefact':
 ('GrąŽinti artefaktą',
  'Button label for restoring jam artefact'),
 'remove_annotation':
 ('Pašalinti pasirinktas pastabas',
  'Button label for censoring jam annotations'),
 'restore_annotation':
 ('GrąŽinti pasirinktas pastabas',
  'Button label for uncensoring jam annotations'),
 'removed_name':
 ('Pašalinta', 'Title/name for censored jam artefact'),
 'removed_message':
 ('Artefaktą pašalino %s. %s.',
  "First placeholder is replaced by censorer's name and the second by the date"),
 'removed_msg':
 ('Artefaktas pašalintas',
  'Message shown when teacher censores an artefact.'),
 'removed_annotation_msg':
 ('Pastaba pašalinta',
  'Message shown when teacher censores an annotation.'),
 'remove_verify':
 ('Ar tikrai norite pašalinti šį artefaktą? Jūsų vardas, data ir pasiaiškinimas bus išsaugotas ir matomas kartu su žinute apie pašalinimą.',
  'Verification message shown when censoring is attempted'),
 'remove_annotations_verify':
 ('Ar tikrai norite pašalinti šias pastabas? Jūsų vardas, data ir pasiaiškinimas bus išsaugotas ir matomas kartu su žinute apie pašalinimą.',
  'Verification message shown when censoring is attempted'),
 'removed_annotation_body':
 ('Pastabą pašalino %s. %s.',
  "Body for censored annotation. First placeholder is replaced by censorer's name and the second by the date"),
 'search_jam':
 ('Ieškoti Improvizacijoje', 'Link label'),
 'searching_jam':
 ('Ieškote artefaktų Improvizacijoje', 'Label'),
 'search_artefact_name':
 ('Artefakto pavadinimas', 'Label in search form'),
 'search_artefact_author':
 ('Autorius', 'Label for author of artefact in search form'),
 'search_annotation_words':
 ('Pastabose yra žodžių',
  'Label in search form (those artefacts match whose annotations contains at least one of the given words)'),
 'search_artefact_type':
 ('Artefakto tipas',
  'Label in search form (type is image, audio, text, etc...)'),
 'type_image':
 ('Paveikslas', 'Artefact type'),
 'type_audio':
 ('Garsas', 'Artefact type'),
 'type_text':
 ('Tekstas', 'Artefact type'),
 'type_html':
 ('Html', 'Artefact type'),
 'type_video':
 ('Video', 'Artefact type'),
 'type_archive':
 ('Archyvas', 'Artefact type'),
 'search_annotated_by':
 ('Pastabos parašytos', 'Label in search form'),
 'search_results_author':
 ('Autoriaus', 'Heading in search results table'),
 'search_results_jam_artefact':
 ('Imporvizacijos artefaktas', 'Heading in search results table'),
 'search_results_jam_session':
 ('Improvizacija', 'Heading in search results table')}

vocabulary={
        'common': common,
        'kb': kb,
        'webtop': webtop,
        'usermgmnt': usermgmnt,
        'coursemgmnt': coursemgmnt,
        'jam': jam,
}

#EOF

