# Fle3 vocabulary file, generated by TranslationLint
# $Id: vocabulary_no.py,v 1.24 2003/02/10 10:39:01 jmp Exp $
#
# Copyright 2001, 2002 by Fle3 Team and contributors
#
# This file is part of Fle3.
#
# Fle3 is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Fle3 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Fle3; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

"""Contains the norwegian translations for all Fle3 printable strings."""

# How to do a new translation:
#
# 1. Copy this file into a new file, appending the language code after it, so
# you get something like "vocabulary_es.py" for Spanish and so on.
#
# 2. Edit the new file, translating the second portion of each line. The
# first portion is the keyword, which you shouldn't touch. The second is the
# translation that should be translated to the target language. The third
# is the supplementary instruction, that should help you do the translations.
#
# 3. Please note that the file is in Python code and needs to follow certain
# syntax rules:
#  - Strings can either be quoted by singles quotes (') or double quotes (").
#    If you need to use either of these quotation marks in your translation,
#    make sure that you use the other quotation mark to surround the string.
#    If you need to use both quotation marks in the same translation string,
#    you can surround the string with triple quotes (''' or """), which
#    allows you to use either of the quotation marks inside the string.
#  - Line breaks are not allowed inside strings, so make sure you don't
#    use an editor that wraps lines. You can have line breaks between
#    strings, though.
#
# 4. If you need to use special characters (outside of the 127 character
# ASCII range), you have several choices:
#
# A. Write in your native encoding (whatever suits you best). This requires
#    that you change the "charset_encoding" keyword in the "common" module to
#    the encoding type you will use. This document is written in iso8859-1,
#    although as english does not contain special characters, it could be
#    in utf-8 as well without any differences.
#    Most European languages are easiest to write in iso8859-1.
#
# B. Write in utf-8 encoded unicode. If your editor can save files in utf-8,
#    use that feature. If not, you can add the special characters manually
#    with the \x escape sequences. Make sure you remove the keyword
#    "charset_encoding" from the "common" module, or change its value to
#    "utf-8" so that the strings are interpreted correctly.
#    'key', ('\xe3\x82\xaa','This is the katakana letter O,encoded in utf-8.'),
#
# C. Write in unicode. Each unicode string starts with u followed by the
#    quotes. Each unicode character starts with \u followed by the code in
#    hexadecimal notation. The value of the "charset_encoding" keyword
#    is irrelevant if you use unicode all the way.
#    'key', (u'\u30aa','This is the katakana letter O, encoded in unicode.'),
#
# 5. Check your translation. If you have Python installed and you've
#    downloaded Fle3 sources, you can execute "python TranslationLint.py"
#    which will check through all the translation files and will produce
#    an error if there is a syntax error.
#    If you have installed Fle3, you can test the translation yourself
#    by going to Zope Management and selecting the Tools tab in your FLE
#    instance, and clicking on "reload_translations". After this you
#    should be able to select your translation from user preferences
#    and see the translated strings.
#

common = {'language_name':
 ('Norwegian(Bokml)', 'Name of this language'),
 'charset_encoding':
 ('iso8859-1',
  'Encoding used in this translation (if missing, utf-8 is assumed'),
 'WebTop':
 ('WebTop', 'Main tab for webtop'),
 'Knowledge_Building':
 ('Kunnskapsbygging', 'Main tab for knowledge building'),
 'Course_Management':
 ('Kursadministrering', 'Main tab for course management'),
 'User_Management':
 ('Brukeradministrering', 'Main tab for user management'),
 'Jamming':
 ('Jamming', 'Main tab for jamming'),
 'Type_Management':
 ('Kunnskapstyper redigering', 'Heading'),
 'cancel':
 ('Avbryt', 'Button label'),
 'submit':
 ('Registrer', 'Button label'),
 'remove':
 ('Fjern', 'Button label'),
 'next':
 ('Neste ->', 'Label for button'),
 'previous':
 ('<- Forrige', 'Label for button'),
 'quick_submit':
 ('Hurtigregistrering', ''),
 'ok':
 ('Ok', 'Button label'),
 'save':
 ('Lagre', 'Button label'),
 'create':
 ('Opprett', 'Button label'),
 'search':
 ('Sk', 'Button label'),
 'webtop':
 ('Webtop', ''),
 'description':
 ('Beskrivelse', 'Label'),
 'short_date_format_display':
 ('YYYY-MM-DD', 'String displayed as clue when entering a date'),
 'short_date_format':
 ('%Y-%m-%d', 'Format string for short dates'),
 'timestamp_format':
 ('%H:%M %Y-%m-%d', 'Format string for long timestamps'),
 'invite':
 ('Inviter', ''),
 'add':
 ('Legg til', ''),
 'today':
 ('I dag', ''),
 'groupfolder':
 ('Gruppemappe', 'Heading'),
 'yesterday':
 ('I gr', ''),
 'dtml_reloaded':
 ('DTML reloaded', 'Title for message dialog'),
 'dtml_files_reloaded':
 ('DTML files reloaded for this object', 'Message dialog text'),
 'dtmls_reloaded':
 ('DTMLs reloaded', 'Title for message dialog'),
 'dtmls_files_reloaded':
 ('All DTML files reloaded', 'Message dialog text'),
 'css_reloaded':
 ('Style sheets reloaded', 'Title for message dialog'),
 'css_files_reloaded':
 ('Style sheet files reloaded for this object', 'Message text'),
 'error':
 ('Feil', ''),
 'warning':
 ('Advarsel', ''),
 'invalid_url':
 ('Ugyldig adresse', 'Message title'),
 'invalid_url_message':
 ('##It appears that the URL address you typed is incorrect.<br>Please check that it begins with http://, ftp://, mailto: or other Internet address protocol you want to use. Please note that you cannot just enter web page addresses like "www.myaddress.org" but that you need to specify the protocol first: "http://www.myaddress.org". If you are not sure about the protocol for your web address, try copying and pasting the full URL from your web browser.',
  'Message text'),
 'invalid_name':
 ('Ugyldig navn', 'Message title'),
 'give_valid_name':
 ('Vennligst skriv inn et gyldig navn', 'Message text'),
 'name_taken':
 ('Et annet element har dette navnet "%s". Velg et annet navn.',
  'Message text, name inserted inside'),
 'edit':
 ('Rediger', 'Button label'),
 'you_are_in':
 ('Du er i:',
  'Heading, without trailing colon - keep in translation if needed'),
 'required_field_missing':
 ('Du har ikke fylt inn alle felt.', 'Erro message text'),
 'confirmation':
 ('Bekreftelse', 'Title for confirmation dialogs'),
 'invalid_input':
 ('Ugyldig inputt', 'Message title'),
 'invalid_fields':
 ('Flgende felt har ugyldig innputt',
  'Message text followed by a list of field names'),
 'select_item_first_common':
 ('Velg noen element frst', 'Message text'),
 'link_to_webtop':
 ('Lag lenke p WebTop', 'Link'),
 'proxy_to_webtop':
 ('Legg gruppemappe til WebTop', 'Link'),
 'export':
 ('Eksporter', 'Button label'),
 'import':
 ('Import', 'Button label'),
 'importing':
 ('Importing', 'Heading start'),
 'megabyte':
 ('MB', 'Abbreviation for megabyte'),
 'kilobyte':
 ('KB', 'Abbreviation for kilobyte'),
 'logout_pre2':
 ("##To log out, either close your browser or press the <b>Logout</b> button below. When your browser asks for a login name and password, just press <b>Cancel</b> (on some browsers you must first submit an invalid password and cancel the second prompt). This will clear your login information from your browser's cache",
  'Instructions on logging out'),
 'logout':
 ('Logg av', 'Link for logging out, also heading in logout dialogs'),
 'logout_post':
 ('Du er n logget av.', 'Logout notification'),
 'login':
 ('Logg inn', 'Link to log in'),
 'any':
 ('Ethvert', 'Label'),
 'course':
 ('##course', 'Part of location path')}

kb = {'course_info':
 ('Kursopplysninger', 'Label for link to course details'),
 'create_context':
 ('Lag ny kurskontekst', 'Link to create new course context'),
 'hide_context':
 ('Skjul kontekst', 'Link to hide a context from view'),
 'show_context':
 ('Vis kontekst', 'Link to show a hidden context'),
 'new_notes':
 ('nye innlegg',
  'Label for showing the number of new notes, eg. "5 new notes"'),
 'notes_total':
 ('innlegg', 'Label for showing the number of notes'),
 'full_description':
 ('full beskrivelse...', ''),
 'course':
 ('kurs', "String 'course' in context display"),
 'context':
 ('kontekst', "String 'context' in context display"),
 'thread':
 ('trd', "String 'thread' in context display"),
 'note':
 ('innlegg', "String 'note' in context display"),
 'start_thread':
 ('Start trd', 'Link'),
 'short_description':
 ('Kort beskrivelse', 'Label'),
 'long_description':
 ('Lang beskrivelse', 'Label'),
 'full_description':
 ('Full beskrivelse', 'Label'),
 'select':
 ('Velg',
  'Start of sentence, followed by a drop-down list of available knowledge types'),
 'knowledge_type':
 ('kunnskapstype', 'Label'),
 'add_note':
 ('##Add note', 'Button label'),
 'show_notes':
 ('Vis innlegg', 'Heading start'),
 'show_thread':
 ('som trd', 'heading finish'),
 'show_type':
 ('etter kunnskapstyper', 'heading finish'),
 'show_author':
 ('etter person', 'heading finish'),
 'show_date':
 ('etter dato', 'heading finish'),
 'select_course':
 ('velg kurs', 'Label, followed by a drop-down list of available courses'),
 'creating_context':
 ('Lager ny kurskontekst i', 'Title, followed by the course name'),
 'editing_context':
 ('Redigerer kurskontekst i', 'Title, followed by the course name'),
 'title_of_context':
 ('Tittelen til kurskonteksten', 'Label'),
 'type_set':
 ('Kunnskapstype sett', 'Label'),
 'creating_note_in':
 ('Lager nytt notat i', 'Title, followed by course context name'),
 'course_context':
 ('kurs kontekst', 'Label for course context'),
 'you_are_replying_to':
 ('Du svarer p', 'Label'),
 'title_of_note':
 ('Tittelen til innlegget', 'Label'),
 'message_body':
 ('Innlegg tekst', 'Label'),
 'current_image':
 ('Nvrende bilde', 'Label'),
 'replace_with':
 ('Bytt ut med', 'Label for image replacement in note edit'),
 'add_image':
 ('Legg til bilde', 'Label'),
 'title_of_image':
 ('Tittel for bilde', 'Label'),
 'add_link':
 ('Legg til (URL)', 'Label'),
 'title_of_link':
 ('Tittel for lenka', 'Label'),
 'preview':
 ('Forhndsvisning', 'Button label'),
 'previewing_note':
 ('Forhndsviser innlegget i',
  'Title/heading, followed by course context name'),
 'publish':
 ('Publiser', 'Button label'),
 'search_kb':
 ('Sk i kunnskapsbyggingen', 'Link label'),
 'searching_kb':
 ('Sker i innlegg', 'Label'),
 'search_author':
 ('Forfatter', 'Label'),
 'search_notes_words':
 ('Innlegg som inneholder ordene', 'Label'),
 'search_context':
 ('Kurskontekst', 'Label'),
 'search_tt':
 ('Kunnskapstyper', 'Label'),
 'search_note':
 ('Innlegg', 'Label'),
 'you_didnt_select_type':
 ('Du glemte  velge en kunnskapstype.', 'Title'),
 'current_note':
 ('Aktuelt innlegg', 'Label'),
 'go_back':
 ('G tilbake', 'Start of message, rendered into a link'),
 'and_select_type':
 ('og velg en kunnskapstype for innlegget ditt.', 'Rest of message'),
 'inline_notes':
 ('Vis teksten til alle innlegg', 'Link'),
 'outline_notes':
 ('Skjul teksten til alle innlegg', 'Link'),
 'view_info':
 ('se p informasjon', 'Part of location bar'),
 'edit_context':
 ('Editer kurskontekst', 'Link'),
 'to_note':
 ('til innlegg', 'Part of a message'),
 'full_thread_no':
 ('Vis bare start innlegg', 'Link'),
 'full_thread_yes':
 ('Vis hele trden', 'Link'),
 'remove':
 ('##Remove note', 'Button label for censoring notes'),
 'restore':
 ('##Restore note', 'Button label for uncensoring notes'),
 'remove_form_title':
 ('##Removing note', 'Title for note censoring form'),
 'remove_form_label':
 ('##Removing note', 'Explanation in censor form, followed by note subject'),
 'removed_msg':
 ('##Message is removed', 'Message shown when teacher censores a note.'),
 'remove_explanation':
 ('##Explanation for removing', 'Label for censor explanation text area'),
 'remove_verify2':
 ('##Are you sure you want to remove this message? Your name, this date and the explanation you supply below will be stored and displayed along with the removal notice to anyone viewing this note.',
  'Verification message shown when removing is attempted'),
 'removed_subject':
 ('##Removed', 'Title/subject for censored notes'),
 'removed_body':
 ('##This message has been removed by %s at %s.',
  "Body for censored messages. First placeholder is replaced by censorer's name and the second by the date"),
 'notes_from_day':
 ('Innlegg fra', 'Start of heading, followed by a date'),
 'previous':
 ('Forrige', 'Link label'),
 'next':
 ('Neste', 'Link label'),
 'who_has_read':
 ('Hvem har lest dette innlegget ?', 'Link label'),
 'last_read':
 ('Sist gang lest', 'Label'),
 'times_read':
 ('Antall ganger lest', 'Label'),
 'back':
 ('&lt; tilbake', 'Link label'),
 'unread_to_read_msg':
 ('Alle innlegg i trden merket som lest.',
  'title and message in a message dialog'),
 'mark_notes_read':
 ('Merk alle innlegg som lest', 'text in a button'),
 'creating_groupfolder':
 ('Lager en ny gruppemappe i', 'Heading start'),
 'title_groupfolder':
 ('Tittelen til gruppemappa', 'Label'),
 'flea_asks':
 ('Flea sier',
  'Heading displayed in the scaffolding check list. Flea is the name of the FLE-helper.'),
 'change_type':
 ('Forandre kunnskapstypen?',
  'Question at the end of the scaffolding check list.'),
 'no_change_possible':
 ('Dette er den eneste typen tillatt her.',
  'Text displayed when there is only one possible follow-up type and the type cannot be changed.'),
 'change':
 ('Forandre', 'Button label'),
 'down_to_note':
 ('G til innlegget i trden', 'Link label'),
 'use_roleplay':
 ('Bruk rollespill i denne konteksten',
  'Label for option deciding if the course context creator wants to use roleplaying roles for postings in this context.'),
 'setup_roleplay':
 ('Setter opp roller til bruk i rollespillet',
  'Title for form, where roleplaying roles are set')}

webtop = {'users_courses':
 ('Kurs', "Heading for user's course list"),
 'new_notes':
 ('nye innlegg', 'Label for displaying the number of new notes in a course'),
 'total_notes':
 ('totalt', 'Label for displaying the total number of notes in a course'),
 'add_folder':
 ('Lag ny mappe', ''),
 'add_document':
 ('Legg til dokument', ''),
 'add_link':
 ('Legg til lenke', ''),
 'create_memo':
 ('Lag notat', ''),
 'type':
 ('Type', 'Common heading for sort links by_name and by_date'),
 'title':
 ('Tittel', 'Link for sorting by name'),
 'date':
 ('Dato', 'Link for sorting by date'),
 'size':
 ('Strrelse', 'Link for sorting by size'),
 'remove':
 ('Fjern', 'Button label'),
 'restore':
 ('Gjenopprett', 'Button label'),
 'rename':
 ('Gi nytt navn', 'Button label'),
 'copy':
 ('Kopier', 'Button label'),
 'cut':
 ('Klipp ut', 'Button label'),
 'paste':
 ('Lim inn', 'Button label'),
 'delete':
 ('Slett', 'Button label'),
 'select_all':
 ('Velg alle', 'Button label'),
 'trash':
 ('Papirkurv', 'Label for trashcan'),
 'empty_trash':
 ('Tm papirkurv', 'Button label'),
 'adding_folder':
 ('Legger til en mappe', 'Heading'),
 'title_of_folder':
 ('Tittelen til mappa', 'Label'),
 'creating_memo':
 ('Lager notat', 'Title'),
 'viewing_memo':
 ('Ser p notat', 'Title'),
 'editing_memo':
 ('Editerer notat', 'Title'),
 'title_of_memo':
 ('Tittelen til notatet', 'Label'),
 'content':
 ('Innhold', 'Label'),
 'show_memo_contents':
 ('Vis bare innholdet', 'Link'),
 'adding_link':
 ('Legger til en lenke', 'Title'),
 'title_of_link':
 ('Tittelen til lenka', 'Label'),
 'url':
 ('URL', ''),
 'document_uploaded':
 ('Dokument lastet opp.', 'Status message'),
 'adding_document':
 ('Legger til dokument', 'Title'),
 'upload_document':
 ('Last opp dokument', 'Label'),
 'title_of_document':
 ('Tittelen til dokumentet', 'Label'),
 'search_wt':
 ('Sk WebTop', 'Link label'),
 'searching_wt':
 ('Sker p WebTop', 'Label'),
 'search_results':
 ('Ske resultat', 'Label'),
 'new_search':
 ('Nytt sk', 'Label'),
 'search_title':
 ('Tittel', 'Label'),
 'search_owner':
 ('Eier', 'Label'),
 'search_words':
 ('Element som inneholder ordene', 'Label'),
 'search_object':
 ('Element', 'Label'),
 'search_folder':
 ('Mappe', 'Label'),
 'viewing_search_results':
 ('Ser p skeresultat', 'Label in the location path'),
 'anyone':
 ('Noen', 'Label'),
 'webtop_link_added':
 ('WebTop lenke lagt til', 'Message title'),
 'added_webtop_link':
 ('En lenke %s "%s" vart lagt til din Webtop. Klikk ok for  returnere til den forrige sida.',
  'Message text; "to type" and "name" inserted into placeholders (2)'),
 'proxy_added':
 ('Gruppe lagt til', 'Message title'),
 'added_proxy':
 ('Gruppemappa til kurs %s er n synlig p din WebTop. Klikk ok for  returnere til den forrige sida.',
  'Message text, course name inserted into placeholder'),
 'no_item_selected':
 ('Ingen element valgt!', 'Message dialog title'),
 'select_item_first':
 ('Vennligst velg minst et element for  utfre en handling annet enn  lime inn.',
  'Message dialog message'),
 'no_file_supplied':
 ('Ingen fil spesifisert.', 'Message text'),
 'renaming':
 ('Gir nytt navn', 'Title'),
 'invalid_names':
 ('De flgende navnene er ugyldige:', 'Message dialog messsage'),
 'same_names':
 ('Du gav de samme navnet til flere element.', 'Message dialog message'),
 'names_in_use':
 ('De flgende navnene er allerede i bruk:', 'Message dialog message'),
 'information':
 ('Opplysninger', 'Link'),
 'preferences':
 ('Instillinger', 'Link'),
 'editing_preferences':
 ('Rediger instillinger', 'Title'),
 'shared':
 ('delt', 'Printed after the name of the group folder'),
 'quota_reached_title':
 ('Kvote vre grense ndd', 'Title'),
 'quota_reached':
 ('Operasjonen kan ikke bli utfrt for du har brukt opp all tilgjengelig disk-plass p din WebtTop. Fjern noen objekt og prv igjen.',
  'Message dialog message'),
 'obj_removed':
 ('##(link target has been removed)',
  'This is appended to internal webtop links that point to objects that no longer exist.'),
 'back':
 ('&lt; tilbake', 'Link label')}

usermgmnt = {'user':
 ('bruker', 'part of browser title'),
 'adding_users':
 ('Legger til ny bruker', 'Title'),
 'required_field':
 ('Krevd felt', ''),
 'nickname':
 ('Brukernavn', 'Label'),
 'user_account':
 ('Brukerkonto', 'Label'),
 'Confirm':
 ('Bekreft', ''),
 'you_are_removing':
 ('Du fjerner', ''),
 'invite_user':
 ('Inviter ny', ''),
 'invite_users':
 ('Inviter brukere', 'Heading for invitation form'),
 'email_addresses':
 ('E-post adresse', ''),
 'separate_with_comma':
 ('( separer med: , )', ''),
 'Invitation_message':
 ('Invitasjons tekst', ''),
 'Invitation_language':
 ('Invitasjons sprk', ''),
 'Courses_to_invite_to':
 ('Kurs invitert til', ''),
 'Freeze':
 ('Ls fast', ''),
 'Remove':
 ('Fjern', ''),
 'role':
 ('Rolle', 'label'),
 'role_staff':
 ('Lrer', 'Global role stuff'),
 'role_user':
 ('Bruker', 'Global role user'),
 'role_fleadmin':
 ('FLE Admin', 'Global role fleadmin'),
 'invite_again':
 ('Inviter igjen', 'Button label'),
 'warning':
 ('Advarsel', 'Heading'),
 'want_remove_users':
 ('Vil du fjerne de flgende brukerene ?', 'Complete question'),
 'invited_user_manage':
 ('Administrering av inviterte brukere', 'Title'),
 'info_user':
 ('Informasjon om ', 'Title for user info page, prefix before usre name'),
 'edit_user':
 ('Editer bruker', 'Link'),
 'editing':
 ('Editerer', 'Heading for user edit, inserted before user name'),
 'image_of_user':
 ('Bilde av brukeren', 'Label'),
 'upload_image_of_user':
 ('Last opp et bilde av brukeren', 'Label'),
 'or_link_to_image':
 ('eller skriv inn ei adresse(URL) til bildet',
  'Label, continuing from the upload label'),
 'webtop_bg':
 ('WebTop bakgrunnsbilde', 'Label'),
 'upload_webtop_bg':
 ('eller last opp eget bakgrunnsbilde',
  'Label, continuing from the webtop_bg'),
 'show_pending_users':
 ('Vis ikke registrerte', ''),
 'add_user':
 ('Legg til ny', ''),
 'Unfreeze':
 ('Ls opp', ''),
 'Users':
 ('Brukere', ''),
 'gsm':
 ('Mobil', ''),
 'last_name':
 ('Etternavn', ''),
 'first_name':
 ('Fornavn', ''),
 'city':
 ('By', ''),
 'organization':
 ('Organisasjon', ''),
 'professional_interests':
 ('Faglige interesser', ''),
 'email':
 ('E-post', ''),
 'phone':
 ('Telefon', ''),
 'language':
 ('Sprk', ''),
 'url_to_photo':
 ('URL til bilde', ''),
 'country_menu_default':
 ('Velg land', ''),
 'group_menu_default':
 ('Velg gruppe', 'Default value for drop-down menu'),
 'address':
 ('Adresse', ''),
 'address1':
 ('Adress linje 1', ''),
 'address2':
 ('Adress linje 2', ''),
 'personal_interests':
 ('Personlige interesser', ''),
 'quote':
 ('Sitat', ''),
 'homepage':
 ('Hjemmeside', ''),
 'upload':
 ('Last opp', ''),
 'group':
 ('Gruppe', ''),
 'password':
 ('Passord', ''),
 'background':
 ('Bakgrunn', ''),
 'country':
 ('Land', ''),
 'reserved_nickname':
 ('Beklager. Brukernavnet er allerede i bruk.', 'Message'),
 'password_mismatch':
 ('Passordene passer ikke sammen.', 'Message'),
 'could_not_send_invitation':
 ('Kunne ikke sende invitasjon. Vennligst sjekk at ditt MailHost objekt er konfigurert riktig.',
  'Error message'),
 'invitations_sent':
 ('Invitasjon sendt', 'Message title'),
 'invitations_sent_to':
 ('Invitasjon sendt til %s. ',
  'Message, email list is inserted into the placeholder.'),
 'invitations_not_sent_to':
 ('Invitasjon vart ikke sendt til: %s.',
  'Message, email list is inserted into the placeholder.'),
 'users_removed':
 ('Brukere fjernet', 'Message title'),
 'removed_users':
 ('Bruker fjernet: %s', 'Message, list inserted inside'),
 'not_removed_users':
 ('Ute av stand til  fjerne dissse brukerne: %s',
  'Message, list inserted inside'),
 're_invitations_sent':
 ('Invitasjon sendt om igjen', 'Message title'),
 're_invitations_sent_to':
 ('Invitasjon sendt om igjen til %s brukere. ',
  'Message, email count is inserted into the placeholder.'),
 'pending_users_removed':
 ('Pventende brukere fjernet', 'Message title'),
 'pending_removed_users':
 ('Pventende brukere fjernet: %s', 'Message, list inserted inside'),
 'pending_not_removed_users':
 ('Ute av stand til  fjerne disse pventende brukerne: %s',
  'Message, list inserted inside'),
 'invitation_subject':
 ('Invitasjon to FLE', 'Subject for invitation messages'),
 'invitation_header':
 ('Invitasjon', 'Header for invitation messages'),
 'invitation_footer':
 ('Vennligst besk: ',
  'Footer for invitation messages; followed by the URL'),
 'welcome_message':
 ('Velkommen til FLE. Vennligst fyll inn dine personlige opplysninger under.',
  'Welcome message used in invitation registration form'),
 'uname':
 ('##Login name', 'Label used for user login name in several places'),
 'registration_failed':
 ('Registrering misslykket', "Title used when invited user can't register."),
 'after_submit_give_name_and_passwd2':
 ('##After hitting "Submit" give your login name and password.', 'Message'),
 'invitation_key_used':
 ('Denne invitasjons URL er allerede blitt brukt eller er ikke gyldig lenger. Hvis du ikke har registreret deg enda, ta kontakt med lreren din.',
  'Message telling that the registration url has been used.'),
 'authorization_failed':
 ('Autentiseringsnkkler er ugyldige',
  "Message telling that the authentication key isn't valid."),
 'frozen':
 ('Fryst fast', 'User status code'),
 'passwd_changed_explanation2':
 ('##You changed your password: Your browser will ask for a login name and password.',
  'Message text'),
 'no_email':
 ('Ingen e-post adresse', 'Message title'),
 'no_email_explanation':
 ('Du kan ikke sende e-post fordi du har ikke satt opp en e-post adresse.',
  'Message text'),
 'passwd_changed':
 ('Passord forandret', 'Message title')}

coursemgmnt = {'course':
 ('kurs', 'part of browser title'),
 'courses':
 ('Kurs', 'Title'),
 'create_course':
 ('Opprett kurs', 'Link'),
 'edit_course':
 ('Editer kurs', 'Button label'),
 'edit_participants':
 ('Editer brukere', 'Button label'),
 'creating_course':
 ('Lager et nytt kurs', 'Title'),
 'editing_course':
 ('Editerer kurs', 'Title'),
 'course_title':
 ('Kurs tittel', 'Label'),
 'organization':
 ('Organisasjon', 'Label'),
 'methods':
 ('Metoder', 'Label'),
 'starting_date':
 ('Start dato', 'Label'),
 'ending_date':
 ('Slutt dato', 'Label'),
 'create_groupfolder':
 ('Lag gruppe mappe', 'Link'),
 'adding_users_to_course':
 ('Legger til ny bruker til kurs',
  'Title, name of course is displayed after this'),
 'if_participants_not_users':
 ('Hvis ikke kurs deltakerene allerede er Fle3 brukere', 'Message'),
 'new_participants_to_system':
 ('nye deltakere til Fle3 systemet', 'Part of a phrase'),
 'by_email':
 ('via e-post', 'Part of a phrase'),
 'manually':
 ('manuelt', 'Part of a phrase'),
 'fle_users':
 ('FLE3 brukere', 'Heading'),
 'down':
 ('Ned', 'Button label'),
 'up':
 ('Opp', 'Button label'),
 'teachers':
 ('Lrere', 'Heading'),
 'tutors':
 ('Veiledere', 'Heading'),
 'students':
 ('Studenter', 'Heading'),
 'add_button':
 ('Legg til ->', 'Button label'),
 'remove_button':
 ('<- Fjern', 'Button label'),
 'viewing_course':
 ('Ser p kurs', 'Part of a phrase in location path'),
 'information':
 ('Informasjon', 'Part of a phrase in location path'),
 'no_course_selected':
 ('Ingen kurs valgt!', 'Message dialog title'),
 'select_course_first':
 ('Vennligst velg et kurs fra kurslisten.', 'Message dialog message'),
 'set_published':
 ('Kunnskapstype type sett publisert', 'Message dialog title/text'),
 'users_updated':
 ('Brukere oppdatert', 'Message dialog title/message'),
 'select_some_users':
 ('Vennligst velg noen brukere', 'Message dialog title/message'),
 'edit_course_info':
 ('Editer kurs opplysninger', 'Link'),
 'edit_course_participants':
 ('Endre kurs deltakere', 'Link'),
 'date':
 ('Dato', 'Label, followed by the starting and ending date of the course.'),
 'course_participants':
 ('Kurs deltakere', 'Label'),
 'type_sets':
 ('Kunnskapstypesett', 'Label, plural'),
 'delete':
 ('Slett', 'Button label'),
 'add_typeset':
 ('Legg til kunnskapstypesett', 'Link'),
 'tt_yellow':
 ('Gul', 'Knowledge type colour name'),
 'tt_yellowlt':
 ('Lys gul', 'Knowledge type colour name'),
 'tt_orange':
 ('Oransje', 'Knowledge type colour name'),
 'tt_orangelt':
 ('Lys oransje', 'Knowledge type colour name'),
 'tt_red':
 ('Rd', 'Knowledge type colour name'),
 'tt_pink':
 ('Rosa', 'Knowledge type colour name'),
 'tt_purple':
 ('Lilla', 'Knowledge type colour name'),
 'tt_blue':
 ('Bl', 'Knowledge type colour name'),
 'tt_bluelt':
 ('Lys bl', 'Knowledge type colour name'),
 'tt_aqua':
 ('Aqua', 'Knowledge type colour name'),
 'tt_green':
 ('Grnn', 'Knowledge type colour name'),
 'tt_greenlt':
 ('Lys grnn', 'Knowledge type colour name'),
 'tt_gray':
 ('Gr', 'Knowledge type colour name'),
 'tt_white':
 ('Hvit', 'Knowledge type colour name'),
 'edit_typeset':
 ('Editer kunnskapstype sett ', 'Heading'),
 'create_typeset':
 ('Lager nytt kunnskapstype sett', 'Heading'),
 'title':
 ('Tittel', 'Start of label'),
 'form':
 ('Form', 'Start of heading'),
 'of_typeset':
 ('til kunnskapstypesettet', 'Ending of label'),
 'abbreviations_and_icons':
 ('forkortelser og ikoner', 'Ending for heading'),
 'type':
 ('Kunnskapstype', 'Label'),
 'types':
 ('Kunnskapstype typer', 'Title'),
 'types_management':
 ('Kunnskapstyper redigering', 'Title'),
 'abbreviation':
 ('Forkortelse', 'Label'),
 'color':
 ('Farge', 'Label'),
 'icon':
 ('Ikon', 'Label'),
 'starting_phrase':
 ('Start frase', 'Label'),
 'checklist':
 ('Sjekk liste', 'Label'),
 'no_types_entered':
 ('Du har ikke lagt inn noen kunnskapstype. Et sett m inkludere minst en type.',
  'Error message for when a new set is created with no types'),
 'restrictions_of_use':
 ('Bruksrestriksjoner', 'Heading sentence.'),
 'that_can_start_thread':
 ('som kan starte en diskusjon', 'End of label'),
 'viewing':
 ('ser', 'Part of location bar'),
 'new_typeset_from':
 ('Dupliser og editer kunnskapstypeset',
  'Link, followed by knowledge type set name'),
 'unfinished':
 ('Uferdig', 'Label'),
 'manage_types':
 ('Administrer kunnskapstyper', 'Link'),
 'finalize_typeset':
 ('Forandre status til ferdig', 'Button label'),
 'are_you_sure':
 ('Er du sikker p at du vil slette flgende kurs:',
  'Message dialog message'),
 'are_you_sure_ctx':
 ('Er du sikker p at du vil slette denne kurskonteksten ?',
  'Message dialog message'),
 'are_you_sure_tts':
 ('Er du sikker p at du vil slette flgende kunnskapstype sett ?',
  'Message dialog message'),
 'typeset_importing':
 ('Vennligst velg den kommprimerte (zip) eksport filen som inneholder kunnskapstypesettet du vil importere.',
  'Instructions for typeset importing'),
 'typesets_imported':
 ('Nytt kunnskapstypesett er blitt importert', 'Message'),
 'import_typeset':
 ('Importer kunnskapstypesett', 'link'),
 'course_importing':
 ('Vennligst velg den kommprimerte (zip) eksport filen som inneholder kurset du vil importere.',
  'Instructions for course importing'),
 'courses_imported':
 ('Nytt kurs er importert.', 'Message'),
 'import_course':
 ('Importer kurs', 'link'),
 'course_imported':
 ('##(imported)', 'Appended to imported course names.')}

jam = {'add_jam_session':
 ('Legg til jam session', 'link'),
 'jam_sessions':
 ('Jam sesjoner:', 'a list of jam session will listed after/under this label'),
 'jam_session':
 ('jam sesjon', ''),
 'annotations':
 ('annoteringer', ''),
 'continue_with_version':
 ('Fortsett med din versjon', 'button label'),
 'artefact':
 ('artefakt', ''),
 'viewing_annotations':
 ('ser p annoteringer', ''),
 'Annotations':
 ('Annoteringer:', 'Label, followed by a list of annotations under it'),
 'adding_jam_session':
 ('Legger til jam session', ''),
 'add_annotation':
 ('Legg til annotering', 'link'),
 'edit_jam_session':
 ('Rediger jam session', ''),
 'editing_jam_session':
 ('Redigerer jam session', ''),
 'title_of_jam_session':
 ('Tittelen til jam sesjonen', 'label'),
 'type_of_jam_session':
 ('Jam-sesjons type', 'label'),
 'mutate_on_previous':
 ('Muter forrige', 'type of jam session'),
 'explore_possibilities':
 ('Utforsk muligheter', 'type of jam session'),
 'diverge_and_converge':
 ('Diverge & Converge', 'type of jam session'),
 'description_of_jam_session':
 ('Beskrivelse av jam sesjonen', 'label'),
 'upload_the_starting_artefact':
 ('Last opp et artefact som starter denne jam sesjonen', 'label'),
 'adding_artefact':
 ('Legger til artefakt', ''),
 'title_of_the_starting_artefact':
 ('Tittel til startartefakt', 'label'),
 'annotation_of_the_starting_artefact':
 ('Annotering for startartefaktet', 'label'),
 'title_of_the_artefact':
 ('Artefakt tittel', 'label'),
 'upload_file':
 ('Last opp fil', 'label'),
 'you_adding_annotation':
 ('Du legger til en annotering til artefaktet',
  'message in adding annotations form'),
 'adding_annotation':
 ('Legger annotering til', ''),
 'to_jam_session':
 ('til jamsesjon', 'Part of a message'),
 'to_jam_artefact':
 ('til jamartefakt', 'Part of a message'),
 'unread_artefacts':
 ('nye artefact', 'There is a number before this message'),
 'total_artefacts':
 ('totalt antall artefakt', 'There is a number before this message'),
 'are_you_sure_jam_sessions':
 ('Er du sikker p at du vil slette de flgende jam-sesjonene ?',
  'Message dialog message'),
 'are_you_sure_jam_session':
 ('Er du sikker p at du vil slette dennne jamsesjonen med %s artefaktene?',
  'Message dialog message. Placeholder is replace with number of jam artefacts'),
 'remove_artefact':
 ('##Remove artefact', 'Button label for censoring jam artefact'),
 'restore_artefact':
 ('##Restore artefact', 'Button label for restoring jam artefact'),
 'remove_annotation':
 ('##Remove selected annotations',
  'Button label for censoring jam annotations'),
 'restore_annotation':
 ('##Restore selected annotation',
  'Button label for uncensoring jam annotations'),
 'removed_name':
 ('##Removed', 'Title/name for censored jam artefact'),
 'removed_message':
 ('##This artefact has been removed by %s at %s.',
  "First placeholder is replaced by censorer's name and the second by the date"),
 'removed_msg':
 ('##Artefact is removed', 'Message shown when teacher censores an artefact.'),
 'removed_annotation_msg':
 ('##Annotation is removed',
  'Message shown when teacher censores an annotation.'),
 'remove_verify':
 ('##Are you sure you want to remove this artefact? Your name and this date will be stored and displayed along with the notice about the removal to everyone viewing this artefact.',
  'Verification message shown when censoring is attempted'),
 'remove_annotations_verify':
 ('##Are you sure you want to remove the annotations you selected? Your name and this date will be stored and displayed along with the notice about the removal to everyone viewing annotations.',
  'Verification message shown when censoring is attempted'),
 'removed_annotation_body':
 ('##This annotation has been removed by %s at %s.',
  "Body for censored annotation. First placeholder is replaced by censorer's name and the second by the date"),
 'search_jam':
 ('##Search Jamming', 'Link label'),
 'searching_jam':
 ('##Searching jam artefacts', 'Label'),
 'search_artefact_name':
 ('##Artefact name', 'Label in search form'),
 'search_artefact_author':
 ('##Author', 'Label for author of artefact in search form'),
 'search_annotation_words':
 ('##Annotations contain words',
  'Label in search form (those artefacts match whose annotations contains at least one of the given words)'),
 'search_artefact_type':
 ('##Artefact type',
  'Label in search form (type is image, audio, text, etc...)'),
 'type_image':
 ('##Image', 'Artefact type'),
 'type_audio':
 ('##Audio', 'Artefact type'),
 'type_text':
 ('##Text', 'Artefact type'),
 'type_html':
 ('##Html', 'Artefact type'),
 'type_video':
 ('##Video', 'Artefact type'),
 'type_archive':
 ('##Archive', 'Artefact type'),
 'search_annotated_by':
 ('##Annotated by', 'Label in search form'),
 'search_results_author':
 ('##Author', 'Heading in search results table'),
 'search_results_jam_artefact':
 ('##Jam artefact', 'Heading in search results table'),
 'search_results_jam_session':
 ('##Jam session', 'Heading in search results table')}

vocabulary={
        'common': common,
        'kb': kb,
        'webtop': webtop,
        'usermgmnt': usermgmnt,
        'coursemgmnt': coursemgmnt,
        'jam': jam,
}

#EOF

