# $Id: vocabulary_se.py,v 1.18 2002/07/29 18:51:59 tarmo Exp $
#
# Copyright 2001, 2002 by Fle3 Team and contributors
#
# This file is part of Fle3.
#
# Fle3 is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Fle3 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Fle3; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

"""Contains the finnish translations for all FLE printable strings."""

# IMPORTANT: Set is_broken to 0, or remove the above line to enable the swedish translation!
is_broken = 1

common = {
    'language_name': ('Svenska', 'Name of this language'),
    'charset_encoding': ('iso-8859-1','Encoding used in this translation (if missing, utf-8 is assumed'),
    'WebTop': ('Webtop','Main tab for webtop'),
    'Knowledge_Building': ('Konstruktion av vetenskap','Main tab for knowledge building'),
    'Course_Management': ('Administration av kurser','Main tab for course management'),
    'User_Management': ('Administration av anvndare','Main tab for user management'),
    'cancel': ('ogr','Button label'),
    'submit': ('Skicka','Button label'),
    'remove': ('Radera','Button label'),
    'next': ('Nsta ->', 'Label for button'),
    'previous': ('<- Fregende', 'Label for button'),
    'quick_submit': ('Skika dessa information', ''),
    'ok': ('Ok', 'Button label'),
    'webtop': ('Webtop',''),
    'description': ('frklaring', 'Label'),
    'short_date_format_display': ('dd.mm.yyyy', 'String displayed as clue when entering a date'),
    'short_date_format': ('%d.%m.%Y', 'Format string for short dates'),
    'long_date_format': ('%d.%m.%Y', 'Format string for long dates'),
    'long_timestamp_format': ('%H.%M.%S %d.%m.%Y', 'Format string for long timestamps'),
    'invite': ('Invitera',''),
    'add': ('Till-lg',''),
    'today': ('Idag',''),
    'yesterday': ('Igr',''),
# v1.9:
    'dtml_reloaded': ('DTML omladdat', 'Title for message dialog'),
    'dtml_files_reloaded': ('DTML filerna fr detta object har blivit omladdade', 'Message dialog text'),
    'dtmls_reloaded': ('DTML filerna omladdade', 'Title for message dialog'),
    'dtmls_files_reloaded': ('All DTML files omladdade', 'Message dialog text'),
    'css_reloaded': ('Stilfilerna omladdade', 'Title for message dialog'),
    'css_files_reloaded': ('Stilfilernda fr detta object omladdade', 'Message text'),
    'printers_reloaded': ('Printers omladdade', 'Title for message dialog'),
    'printer_files_reloaded': ('Printerna har blivit omladdade', 'Message text'),
    'error': ('mistag', ''),
    'warning': ('Varning', ''),
# v1.26:
    'invalid_name': ('Felaktigt namn', 'Message title'),
    'give_valid_name': ('Ge en valid namn', 'Message text'),
    'name_taken': ('Namnet "%s" r redan i bruk. Vlj ett annat namn.', 'Message text, name inserted inside'),
    }

kb = {
    'course_info': ('Information av kursen', 'Label for link to course details'),
    'create_context': ('Skapa ett nyt kurskontekst', 'Link to create new course context'),
    'hide_context': ('Gm kurskontekstet', 'Link to hide a context from view'),
    'show_context': ('Vissa kurskontekstet', 'Link to show a hidden context'),
    'new_notes': ('nya medellanden (borken)', 'Label for showing the number of new notes, eg. "5 new notes"'),
    'notes_total': ('medellanden sammanlagt', 'Label for showing the number of notes'),
    'full_description': ('hela deskriptionen...', ''),
    'new_notes': ('Nya medellanden:', 'Heading for the list of new notes'),
    'you_are_in': ('Du r i:', 'Heading, without trailing colon - keep in translation if needed'),
    'course': ('kurs', "String 'course' in context display"),
    'context': ('kontekst', "String 'context' in context display"),
    'thread': ('discussion', "String 'thread' in context display"),
    'note': ('medellande', "String 'note' in context display"),
    'start_new_thread': ('Skapa en ny discussion', 'Link'),
    'short_description': ('Kort deskription', 'Label'),
    'long_description': ('Long deskription', 'Label'),
    'full_description': ('Hela deskriptionen', 'Label'),
    'reply_with': ('Svara med knowledgetype','Start of sentence, followed by a drop-down list of available knowledge types'),
    'reply': ('Svara','Button label'),
    'link_to_webtop': ('Skapa en link till denna medellande p din webtop' ,'Link'),
    'show_notes': ('Vissa medellanden', 'Heading start'),
    'show_thread': ('i ordning av svaranden','heading finish'),
    'show_type': ('i ordning av knowledgetypen','heading finish'),
    'show_author': ('i ordning med skrivaren','heading finish'),
    'show_date': ('i datumordning','heading finish'),
    'change_course_to': ('Flytta dig till kurs','Label, followed by a drop-down list of available courses'),
    'creating_context': ('Skapandet av en ny kurskontekst', 'Title, followed by the course name'),
    'editing_context': ('Editering av kurskontekst fr kurs', 'Title, followed by the course name'),
    'title_of_context': ('Namnet av kurskontekstet', 'Label'),
    'type_set': ('Knowledgetypesetet', 'Label'),
    'creating_note_in': ('Skapandet av en ny medelande till kurskontekst', 'Title, followed by course context name'),
    'course_context': ('kurskontekst', 'Label for course context'),
    'you_are_replying_to': ('Du svarar till denna medelande','Label'),
    'title_of_note': ('Medelandets rubrik','Label'),
    'message_body': ('Medelandets innehl','Label'),
    'current_image': ('Nuvarande bild','Label'),
    'replace_with': ('Erstt med ny bild','Label for image replacement in note edit'),
    'add_image': ('Tillg bild', 'Label'),
    'title_of_image': ('Rubrik fr bild', 'Label'),
    'add_link': ('Tillg link (URL)', 'Label'),
    'title_of_link': ('Rubrik fr linken', 'Label'),
    'preview': ('FrFUCKEDIFIKNOW', 'Button label'),
    'previewing_note': ('Du r i medelandets frFUCKEDIFIKNOW i kurskontekst', 'Title/heading, followed by course context name'),
    'edit': ('Editera', 'Button label'),
    'publish': ('Publisera', 'Button label'),
# v1.19:
    'you_didnt_select_type': ("Du valde ingen knowledgetyp.", 'Title'),
    'go_back': ('G tillbaka', 'Start of message, rendered into a link'),
    'and_select_type': ('oh vlj en knowledgetyp fr ditt medellande', 'Rest of message'),
    'inline_notes': ('Vissa innehllet av medellanden', 'Link'),
    'outline_notes': ('Visa medellandens rubriker', 'Link'),
    'view_info': ('visning av information (hehe ;))', 'Part of location bar'),
    'edit_context': ('Editera kurskontekst', 'Link'),
    'type_help': ('Instruktioner om knowledgetypen', 'Link'),
# v1.25:
    'tt_yellow': ('Yellow','Knowledge type colour name'),
    'tt_yellowlt': ('Light yellow','Knowledge type colour name'),
    'tt_orange': ('Orange','Knowledge type colour name'),
    'tt_orangelt': ('Light orange','Knowledge type colour name'),
    'tt_red': ('Red','Knowledge type colour name'),
    'tt_pink': ('Pink','Knowledge type colour name'),
    'tt_purple': ('Purple','Knowledge type colour name'),
    'tt_blue': ('Blue','Knowledge type colour name'),
    'tt_bluelt': ('Light blue','Knowledge type colour name'),
    'tt_aqua': ('Aqua','Knowledge type colour name'),
    'tt_green': ('Green','Knowledge type colour name'),
    'tt_greenlt': ('Light green','Knowledge type colour name'),
    'tt_gray': ('Gray','Knowledge type colour name'),
    'tt_white': ('White','Knowledge type colour name'),
# v1.27:
    'to_note': ('till medellandet','Part of a message'),
    }

webtop = {
    'users_info_prefix': ('Anvndarens ', "Prefix for user's info"),
    'users_info_postfix': (" information", "Postfix for link to user's info, inserted right after the user's name"),
    'users_courses_prefix': ("Anvndarens ", "Prefix for user's course list heading"),
    'users_courses_postfix': (" kurser", "Postfix for user's course list heading"),
    'new_notes': ('nya medellanden', 'Label for displaying the number of new notes in a course'),
    'total_notes': ('medellanden tillsammans (alltsomallt)', 'Label for displaying the total number of notes in a course'),
    'add_folder': ("Tillg map", ""),
    'add_document': ("Tillg dokument", ""),
    'add_link': ("Tillg link", ""),
    'create_document': ("Tillg memo", ""),
    'sort': ('Ordna om', 'Common heading for sort links by_name and by_date'),
    'by_name': ('enligt namn', 'Link for sorting by name'),
    'by_date': ('enligt datum', 'Link for sorting by date'),
    'remove': ('Radera', 'Button label'),
    'restore': ('Restore', 'Button label'),
    'rename': ('Namnge', 'Button label'),
    'copy': ('Kopiera', 'Button label'),
    'cut': ('Klip', 'Button label'),
    'paste': ('Limma', 'Button label'),
    'delete': ('Frstr', 'Button label'),
    'trash': ('Paperskorg', 'Label for trashcan'),
    'adding_folder': ('Tillg map', 'Heading'),
    'title_of_folder': ('Mappens namn', 'Label'),
    'viewing_memo': ('Examination av memo', 'Title'),
    'adding_memo': ('Tillgning av memo', 'Title'),
    'editing_memo': ('Editering av memo', 'Title'),
    'name_of_memo': ('Namnet av memot', 'Label'),
    'content': ('Innehll', 'Label'),
    'show_memo_contents': ('Vissa endast memos innehll', 'Link'),
    'adding_link': ('Tillgning av link', 'Title'),
    'title_of_link': ('Linkens namn', 'Label'),
    'url': ('URL',''),
    'document_uploaded': ('Dokument mottaget.', 'Status message'),
    'adding_document': ('Tillgning av dokument', 'Title'),
    'upload_document': ('Skika dokument','Label'),
    'title_of_document': ('Dokumentets namn','Label'),
# v1.9:
    'webtop_link_added': ('Linken tillgd p webtopen', 'Message title'),
    'added_webtop_link': ('Linkken %s "%s" tillgdes p webtopen. ???', 'Message text; link name and url inserted into placeholders (2)'),
    'no_item_selected': ('Du valde inga objekt!', 'Message dialog title'),
    'select_item_first': ('Alla funktioner, utan "Limma", krver i allafall en vald objekt frn webtoppen', 'Message dialog message'),
    'no_file_supplied': ('Filen var icke sent.', 'Message text'),
    'renaming': ('Namnge', 'Title'),
    'invalid_names': ('Fljande namn r felaktiga', 'Message dialog messsage'),
    'same_names': ('Du samma namn till flera objekt.', 'Message dialog message'),
    'names_in_use': ('Fljande namn r redan i bruk:', 'Message dialog message'),
# v1.19:
    'information': ('Information','Link'),
    'preferences': ('Preferenser','Link'),
    'editing_preferences': ('##Editing preferences','Title'),
    }

coursemgmnt = {
    'course': ('kurs', 'part of browser title'),
    'courses': ('Kurserna', 'Title'),
    'add_course': ('Tillg kurs', 'Link'),
    'edit_course': ('Editera kurs', 'Button label'),
    'edit_participants': ('Vlj participanter', 'Button label'),
    'creating_course': ('Tillgning av ny kurs', 'Title'),
    'editing_course': ('Editering av kurs', 'Title'),
    'course_name': ('Kursens namn', 'Label'),
    'organization': ('Organisation','Label'),
    'methods': ('Methoder','Label'),
    'starting_date': ('Start datum', 'Label'),
    'ending_date': ('Slut datum', 'Label'),
    'adding_users_to_course': ('Tillgning av anvndare till kursen', 'Title, name of course is displayed after this'),
    'if_participants_not_users': ('Ifall participanterna inte r n Fle3-anvndare', 'Message'),
    'new_participants_to_system': ('nya participanter till Fle3 systemet', 'Part of a phrase'),
    'by_email': ('via email', 'Part of a phrase'),
    'manually': ('manuelt', 'Part of a phrase'),
    'fle_users': ('Fle3 anvndare', 'Heading'),
    'down': ('Ner', 'Button label'),
    'up': ('Up', 'Button label'),
    'teachers': ('Lrare', 'Heading'),
    'tutors': ('Tutorer', 'Heading'),
    'students': ('Studerande', 'Heading'),
    'add_button': ('Tillg ->', 'Button label'),
    'remove_button': ('<- Radera', 'Button label'),
# v1.9:
    'no_course_selected': ('Ingen kurs vald!', 'Message dialog title'),
    'select_course_first': ('Vlj en kurs frn kurslistan.', 'Message dialog message'),
    'set_published': ('Knowledgetypeset publiserad.', 'Message dialog title/text'),
    'users_updated': ('Anvndare updaterade', 'Message dialog title/message'),
    'select_some_users': ('Vlj ngra anvndare', 'Message dialog title/message'),
# v1.19:
    'edit_course_info': ('Editera kursen', 'Link'),
    'edit_course_participants': ('Editera kursens participanter', 'Link'),
    'date': ('tids delta', 'Label, followed by the starting and ending date of the course.'),
    'course_participants': ('Participanter p kursen', 'Label'),
    'type_sets': ('Knowledgetypeseter', 'Label, plural'),
    'delete': ('Radera', 'Button label'),
    }

usermgmnt = {
    'user': ('anvndare', 'part of browser title'),
    'adding_users': ('Tillgning av nya anvndare', 'Title'),
    'required_field': ('Krvd field', ''),
    'nickname': ('Nickname', ''),
    'Confirm': ('Konfirmera', ''),
    'you_are_removing': ('du hller p att radera', ''),
    'invite_user': ('Invitera anvndare', ''),
    'invite_new_users': ('Invitera nya anvndare', 'Heading for invitation form'),
    'email_addresses': ('Email adresserna', ''),
    'separate_with_comma': ('( separera med kommatecken )', ''),
    'Invitation_message': ('Invitations medellande', ''),
    'Freeze': ('Frys', ''),
    'Remove': ('Radera', ''),

    'role': ('Rol', 'label'),
    'role_staff': ('Staff', 'Global role stuff'),
    'role_user': ('Anvndare', 'Global role user'),
    'role_fleadmin': ('FLE-Administrator', 'Global role fleadmin'),

    'invite_again': ('Invitera pnytt', 'Button label'),
    'remove_usres_confirm': ('Konfirmera radering av anvndare', 'Title'),
    'warning': ('Varning', 'Heading'),
    'want_remove_users': ('Vill du radera fljande anvndare?', 'Complete question'),
    'invited_user_manage': ('Administration av inviterade anvndare', 'Title'),

    'info_user': ('Information p anvndaren', 'Title for user info page, prefix before usre name'),
    'edit_user': ('Editera anvndaren', 'Link'),
    'name': ('Anvndarens namn', ''),
    'editing': ('Editerar anvndare', 'Heading for user edit, inserted before user name'),
    'image_of_user': ('Anvndarens bild', 'Label'),
    'upload_image_of_user': ('Skika anvndarens bild', 'Label'),
    'or_link_to_image': ('eller ge en link till bilden', 'Label, continuing from the upload label'),
    'add_new_user': ('Tillg ny anvndare', 'Title'),
    'webtop_bg': ('###WebTop background image', 'Label'),
    'upload_webtop_bg': ('###or upload own background image', 'Label, continuing from the webtop_bg'),
    'show_pending_users': ('Vissa icke registrerade anvndare', ''),
    'add_user': ('Tillg ny',''),
    'Unfreeze': ('Ofrysera (;))', ''),
    'Users': ('Anvndare', ''),
    'gsm': ('Mobil telefon', ''),
    'last_name': ('Slktnamn', ''),
    'first_name': ('Frnamn', ''),
    'city': ('Stad', ''),
    'organization': ('Organisation', ''),
    'professional_interests': ('Professionella intressen', ''),
    'email': ('Email', ''),
    'phone': ('Telefon', ''),
    'photo_message': ('Skika bild eller ge URL', ''),
    'language': ('Sprk', ''),
    'url_to_photo': ('Bildens URL', ''),
    'country_menu_default': ('Vlj land', ''),
    'group_menu_default': ('Vlj grupp', ''),
    'address': ('Address', ''),
    'address1': ('Address (rad 1)', ''),
    'address2': ('Address (rad 2)', ''),
    'personal_interests': ('Personliga intressen',''),
    'quote': ('Quote', ''),
    'homepage': ('Hemsida', ''),
    'upload': ('Skika', ''),
    'group': ('Grupp', ''),
    'password': ('Lsenord', ''),
    'background': ('Bakgrund', ''),
    'country': ('Land', ''),
# v1.9:
    'reserved_nickname': ('Tyverr r din nickname redan i anvndning.', 'Message'),
    'password_mismatch': ("Givna lsenord skiljer sig frn varan.", 'Message'),
    'could_not_send_invitation': ('Kunde inte skika invitationsmedelande. Var vnlig och kolla MailHost konfigurationen.', 'Error message'),
    'invitations_sent': ('Invitationerna skikade', 'Message title'),
    'invitations_sent_to': ('Invitation skikat till fljande anvndare: %s. ', 'Message, email list is inserted into the placeholder.'),
    'users_removed': ('Anvndare raderade', 'Message title'),
    'removed_users': ('Fljande anvndare har blivit raderade: %s', 'Message, list inserted inside'),
    'not_removed_users': ('Fljande anvndare kunde inte bli raderade: %s', 'Message, list inserted inside'),
    're_invitations_sent': ('Reinvitationerna skikade', 'Message title'),
    're_invitations_sent_to': ('Skikade %s reinvitationer. ', 'Message, email count is inserted into the placeholder.'),
    'pending_users_removed': ('Inviterade anvndare raderade', 'Message title'),
    'pending_removed_users': ('Fljande anvndare har blivit raderade: %s', 'Message, list inserted inside'),
    'pending_not_removed_users': ('Raderandet av fljande anvndare misslyckades: %s', 'Message, list inserted inside'),
    'invitation_subject': ('Invitation till framtidens lrningsmilj', 'Subject for invitation messages'),
    'invitation_header': ('Invitera', 'Header for invitation messages'),
    'invitation_footer': ('ppna address: ', 'Footer for invitation messages; followed by the URL'),
# v1.15:
    'welcome_message': ('Vlkommen som FLE-anvndare. Var god och ge fljande information.', 'Welcome message used in invitation registration form'),
    'uname': ('Kyttjtunnus','Label used in invitation registration form'),
    'registration_failed': ('Registreringen mislyckades', "Title used when invited user can't register."),
    'invitation_key_used': ("Den hr invitations kooden har redan brukats, eller r inte mera giltig. Ifall du kunde inte registrerar, var god och ta kontakt med din lrare fr att f en ny invitation.", 'Message telling that the registration url has been used.'),
    'authorization_failed': ('Authorisationsnyklarna r icke valida', "Message telling that the authentication key isn't valid."),
# v1.19:
    'after_submit_give_name_and_passwd': ('Efter att ha tryckt Skicka-knappen giv ditt anvndarnamn och lsenord.', 'Message'),
# v1.21:
    'frozen': ('Fryst', 'User status code'),
# v1.22:
    'footer': ('Please visit',''),
    'header': ('Invitation',''),
    'subject': ('Invitation to FLE',''),
    }

jam = {
    'add_new_jam_session': ('##Add new jam session', 'link'),
    'jam_sessions': ('##Jam sessions:', 'a list of jam session will listed after/under this label'),
    'jam_session': ('##jam session', ''),
    'annotations': ('##annotations', ''),
    'continue_with_version': ('##Continue with your version', 'button label'),
    'artefact': ('##artefact', ''),
    'viewing_annotations': ('##viewing annotations', ''),
    'get_artefact': ('##Get artefact', 'link'),
    'Annotations': ('##Annotations:', 'Label, followed by a list of annotations under it'),
    'add_annotation': ('##Add annotation', 'link'),
    'adding_new_jam_session': ('##Adding new jam session', ''),
    'title_of_jam_session': ('##Title of jam session:', 'label'),
    'type_of_jam_session': ('##Type of jam session:', 'label'),
    'mutate_on_previous': ('##Mutate on previous', 'type of jam session'),
    'explore_possibilities': ('##Explore possibilities', 'type of jam session'),
    'description_of_jam_session': ('##Description of jam session:', 'label'),
    'upload_the_starting_artefact': ('##Upload the starting artefact:', 'label'),
    'name_of_the_starting_artefact': ('##Name of the starting artefact:', 'label'),
    'adding_new_artefact': ('##Adding new artefact', ''),
    'name_of_the_artifact': ('##Name of the artifact:', 'label'),
    'upload_file': ('##Upload file:', 'label'),
    'adding_annotation': ('##Adding annotation', ''),
    'to_jam_session': ('##to jam session', 'Part of a message'),
    'to_jam_artefact': ('##to jam artefact', 'Part of a message'),
    }

# All vocabularies combined
vocabulary = {'common': common,
              'kb': kb,
              'webtop': webtop,
              'usermgmnt': usermgmnt,
              'coursemgmnt': coursemgmnt,
              'jam': jam,
              }

#EOF

